-- phpMyAdmin SQL Dump
-- version 4.1.4
-- http://www.phpmyadmin.net
--
-- Host: 127.0.0.1
-- Generation Time: Oct 28, 2017 at 04:16 AM
-- Server version: 5.6.15-log
-- PHP Version: 5.4.24

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Database: `policial`
--

-- --------------------------------------------------------

--
-- Table structure for table `ciudad`
--

CREATE TABLE IF NOT EXISTS `ciudad` (
  `idCiudad` int(11) NOT NULL AUTO_INCREMENT,
  `hash` varchar(50) DEFAULT NULL,
  `nombreCiudad` varchar(50) DEFAULT NULL,
  `estadoCiudad` enum('Activo','Inactivo') DEFAULT NULL,
  PRIMARY KEY (`idCiudad`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=3 ;

--
-- Dumping data for table `ciudad`
--

INSERT INTO `ciudad` (`idCiudad`, `hash`, `nombreCiudad`, `estadoCiudad`) VALUES
(1, '356a192b7913b04c54574d18c28d46e6395428ab', 'Santa Cruz', 'Activo'),
(2, 'da4b9237bacccdf19c0760cab7aec4a8359010b0', 'La Paz', 'Activo');

-- --------------------------------------------------------

--
-- Table structure for table `delincuente`
--

CREATE TABLE IF NOT EXISTS `delincuente` (
  `idDelincuente` int(11) NOT NULL AUTO_INCREMENT,
  `hashD` varchar(50) DEFAULT NULL,
  `nombre` varchar(50) DEFAULT NULL,
  `app` varchar(50) DEFAULT NULL,
  `apm` varchar(50) DEFAULT NULL,
  `genero` enum('Femenino','Masculino') DEFAULT NULL,
  `ci` varchar(20) DEFAULT NULL,
  `foto` varchar(50) DEFAULT NULL,
  `fecha` date DEFAULT NULL,
  `hora` time DEFAULT NULL,
  `estadoDelincuente` enum('Detenido','Profugo','Muerto') DEFAULT NULL,
  `idUsuario` int(11) DEFAULT NULL,
  `idPais` int(11) DEFAULT NULL,
  `idEstado` int(11) DEFAULT NULL,
  PRIMARY KEY (`idDelincuente`),
  KEY `fkd_Usuario` (`idUsuario`),
  KEY `fkd_Pais` (`idPais`),
  KEY `fkd_estado` (`idEstado`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=10 ;

--
-- Dumping data for table `delincuente`
--

INSERT INTO `delincuente` (`idDelincuente`, `hashD`, `nombre`, `app`, `apm`, `genero`, `ci`, `foto`, `fecha`, `hora`, `estadoDelincuente`, `idUsuario`, `idPais`, `idEstado`) VALUES
(6, 'c1dfd96eea8cc2b62785275bca38ac261256e278', 'Andrea', 'Terrazas', 'Gutierrez', 'Masculino', '333421', 'view/img/liliana1.jpg', '2017-10-28', '02:07:07', 'Detenido', 2, 2, 1),
(7, '902ba3cda1883801594b6e1b452790cc53948fda', 'Jonathan', 'Rojas', 'Ortiz', 'Masculino', '44456', 'view/img/juan.jpg', '2017-10-28', '02:08:06', 'Detenido', 1, 1, 1),
(8, 'fe5dbbcea5ce7e2988b8c69bcfdfde8904aabc1f', 'Fernando', 'Dominguez', 'Lozada', 'Masculino', '547821', 'view/img/danie_barrios.jpg', '2017-10-28', '02:08:50', 'Detenido', 4, 2, 1),
(9, '0ade7c2cf97f75d009975f4d720d1fa6c19f4897', 'Carla', 'Portales', 'Almanza', 'Femenino', '665443', 'view/img/FLEIZS.jpg', '2017-10-28', '02:09:42', 'Detenido', 4, 4, 1);

-- --------------------------------------------------------

--
-- Table structure for table `delitoscometidos`
--

CREATE TABLE IF NOT EXISTS `delitoscometidos` (
  `idTipoDelito` int(11) NOT NULL,
  `idDelincuente` int(11) NOT NULL,
  `fecha` date DEFAULT NULL,
  `idCiudad` int(11) DEFAULT NULL,
  `idUsuario` int(11) DEFAULT NULL,
  PRIMARY KEY (`idTipoDelito`,`idDelincuente`),
  KEY `fk2_dc` (`idDelincuente`),
  KEY `fk3_dc` (`idCiudad`),
  KEY `fk4_dc` (`idUsuario`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `delitoscometidos`
--

INSERT INTO `delitoscometidos` (`idTipoDelito`, `idDelincuente`, `fecha`, `idCiudad`, `idUsuario`) VALUES
(1, 6, '2016-12-01', 1, 1),
(2, 7, '2015-11-03', 2, 3);

-- --------------------------------------------------------

--
-- Table structure for table `estado`
--

CREATE TABLE IF NOT EXISTS `estado` (
  `idEstado` int(11) NOT NULL AUTO_INCREMENT,
  `hash` varchar(50) DEFAULT NULL,
  `nombreEstado` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`idEstado`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=3 ;

--
-- Dumping data for table `estado`
--

INSERT INTO `estado` (`idEstado`, `hash`, `nombreEstado`) VALUES
(1, NULL, 'Activo'),
(2, NULL, 'Inactivo');

-- --------------------------------------------------------

--
-- Table structure for table `pais`
--

CREATE TABLE IF NOT EXISTS `pais` (
  `idPais` int(11) NOT NULL AUTO_INCREMENT,
  `hash` varchar(50) DEFAULT NULL,
  `nombrePais` varchar(50) DEFAULT NULL,
  `estadoPais` enum('Activo','Inactivo') DEFAULT NULL,
  PRIMARY KEY (`idPais`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=6 ;

--
-- Dumping data for table `pais`
--

INSERT INTO `pais` (`idPais`, `hash`, `nombrePais`, `estadoPais`) VALUES
(1, '356a192b7913b04c54574d18c28d46e6395428ab', 'Bolivia', 'Activo'),
(2, 'da4b9237bacccdf19c0760cab7aec4a8359010b0', 'Argentina', 'Activo'),
(3, '77de68daecd823babbb58edb1c8e14d7106e83bb', 'Brasil', 'Activo'),
(4, '1b6453892473a467d07372d45eb05abc2031647a', 'Uruguay', 'Activo'),
(5, 'ac3478d69a3c81fa62e60f5c3696165a4e5e6ac4', 'Peru', 'Inactivo');

-- --------------------------------------------------------

--
-- Table structure for table `policiaexterna`
--

CREATE TABLE IF NOT EXISTS `policiaexterna` (
  `idPoliciaE` int(11) NOT NULL AUTO_INCREMENT,
  `hashPE` varchar(50) DEFAULT NULL,
  `nombrePE` varchar(50) DEFAULT NULL,
  `estadoPE` enum('Activo','Inactivo') DEFAULT NULL,
  PRIMARY KEY (`idPoliciaE`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=4 ;

--
-- Dumping data for table `policiaexterna`
--

INSERT INTO `policiaexterna` (`idPoliciaE`, `hashPE`, `nombrePE`, `estadoPE`) VALUES
(1, '356a192b7913b04c54574d18c28d46e6395428ab', 'Policia de EEUU', 'Activo'),
(2, 'da4b9237bacccdf19c0760cab7aec4a8359010b0', 'Policia Federal de Mexico', 'Activo'),
(3, '77de68daecd823babbb58edb1c8e14d7106e83bb', 'Policia Nacional de Colombia', 'Activo');

-- --------------------------------------------------------

--
-- Table structure for table `tipodelito`
--

CREATE TABLE IF NOT EXISTS `tipodelito` (
  `idTipoDelito` int(11) NOT NULL AUTO_INCREMENT,
  `hash` varchar(50) DEFAULT NULL,
  `nombreDelito` varchar(50) DEFAULT NULL,
  `estadoDelito` enum('Activo','Inactivo') DEFAULT NULL,
  PRIMARY KEY (`idTipoDelito`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=4 ;

--
-- Dumping data for table `tipodelito`
--

INSERT INTO `tipodelito` (`idTipoDelito`, `hash`, `nombreDelito`, `estadoDelito`) VALUES
(1, '356a192b7913b04c54574d18c28d46e6395428ab', 'Robo', 'Activo'),
(2, 'da4b9237bacccdf19c0760cab7aec4a8359010b0', 'Violacion Domestica', 'Activo'),
(3, '77de68daecd823babbb58edb1c8e14d7106e83bb', 'Atraco a mano armada', 'Activo');

-- --------------------------------------------------------

--
-- Table structure for table `usuarioexterno`
--

CREATE TABLE IF NOT EXISTS `usuarioexterno` (
  `idUsuarioE` int(11) NOT NULL AUTO_INCREMENT,
  `hashE` varchar(50) DEFAULT NULL,
  `usuarioE` blob,
  `contraE` blob,
  `hora` time DEFAULT NULL,
  `fecha` date DEFAULT NULL,
  `estadoE` enum('Activo','Inactivo') DEFAULT NULL,
  `idPoliciaE` int(11) DEFAULT NULL,
  PRIMARY KEY (`idUsuarioE`),
  KEY `fk1_ue` (`idPoliciaE`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=4 ;

--
-- Dumping data for table `usuarioexterno`
--

INSERT INTO `usuarioexterno` (`idUsuarioE`, `hashE`, `usuarioE`, `contraE`, `hora`, `fecha`, `estadoE`, `idPoliciaE`) VALUES
(1, '356a192b7913b04c54574d18c28d46e6395428ab', 0x1935df077a9143c62931e9840dd06841, 0x6ea2aea4c52cbb437dc17e811ec10992, '00:00:02', '2017-10-28', 'Activo', 1),
(2, 'da4b9237bacccdf19c0760cab7aec4a8359010b0', 0x21dc1ebff491e5bf429d8c7e5cde7ee0, 0x6ea2aea4c52cbb437dc17e811ec10992, '00:00:02', '2017-10-28', 'Activo', 2),
(3, '77de68daecd823babbb58edb1c8e14d7106e83bb', 0x9b9a09e4d3da3e2ebcb57b9471fde079, 0x6ea2aea4c52cbb437dc17e811ec10992, '00:00:02', '2017-10-28', 'Activo', 3);

-- --------------------------------------------------------

--
-- Table structure for table `usuariointerno`
--

CREATE TABLE IF NOT EXISTS `usuariointerno` (
  `idUsuario` int(11) NOT NULL AUTO_INCREMENT,
  `hash` varchar(50) DEFAULT NULL,
  `nombreU` varchar(50) DEFAULT NULL,
  `appU` varchar(50) DEFAULT NULL,
  `apmU` varchar(50) DEFAULT NULL,
  `ciU` varchar(10) DEFAULT NULL,
  `generoU` enum('Femenino','Masculino') DEFAULT NULL,
  `usuarioU` blob,
  `contraU` blob,
  `estado` enum('Activo','Inactivo') DEFAULT NULL,
  PRIMARY KEY (`idUsuario`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=5 ;

--
-- Dumping data for table `usuariointerno`
--

INSERT INTO `usuariointerno` (`idUsuario`, `hash`, `nombreU`, `appU`, `apmU`, `ciU`, `generoU`, `usuarioU`, `contraU`, `estado`) VALUES
(1, '356a192b7913b04c54574d18c28d46e6395428ab', 'Marcelo', 'Rojas', 'Suarez', '8795412', 'Masculino', 0x6d726f6a6173, 0x3132333435, 'Activo'),
(2, 'da4b9237bacccdf19c0760cab7aec4a8359010b0', 'Carolina', 'Mendez', 'Roca', '9876541', 'Femenino', 0x67c5e78d0371eef36141e4010bb704c4, 0x6ea2aea4c52cbb437dc17e811ec10992, 'Activo'),
(3, '77de68daecd823babbb58edb1c8e14d7106e83bb', 'Patricia', 'Duran ', 'Flores', '6548712', 'Femenino', 0x7d9889f9104d8b429fbcb25f2cf5485b, 0x6ea2aea4c52cbb437dc17e811ec10992, 'Activo'),
(4, '1b6453892473a467d07372d45eb05abc2031647a', 'Sandra', 'Manrique', 'Lopez', '6665874', 'Femenino', 0x2e4be9deb5781b93e98b42e3e3d1f7a9, 0x6ea2aea4c52cbb437dc17e811ec10992, 'Activo');

--
-- Constraints for dumped tables
--

--
-- Constraints for table `delincuente`
--
ALTER TABLE `delincuente`
  ADD CONSTRAINT `fkd_Usuario` FOREIGN KEY (`idUsuario`) REFERENCES `usuariointerno` (`idUsuario`),
  ADD CONSTRAINT `fkd_Pais` FOREIGN KEY (`idPais`) REFERENCES `pais` (`idPais`),
  ADD CONSTRAINT `fkd_estado` FOREIGN KEY (`idEstado`) REFERENCES `estado` (`idEstado`);

--
-- Constraints for table `delitoscometidos`
--
ALTER TABLE `delitoscometidos`
  ADD CONSTRAINT `fk1_dc` FOREIGN KEY (`idTipoDelito`) REFERENCES `tipodelito` (`idTipoDelito`),
  ADD CONSTRAINT `fk2_dc` FOREIGN KEY (`idDelincuente`) REFERENCES `delincuente` (`idDelincuente`),
  ADD CONSTRAINT `fk3_dc` FOREIGN KEY (`idCiudad`) REFERENCES `ciudad` (`idCiudad`),
  ADD CONSTRAINT `fk4_dc` FOREIGN KEY (`idUsuario`) REFERENCES `usuariointerno` (`idUsuario`);

--
-- Constraints for table `usuarioexterno`
--
ALTER TABLE `usuarioexterno`
  ADD CONSTRAINT `fk1_ue` FOREIGN KEY (`idPoliciaE`) REFERENCES `policiaexterna` (`idPoliciaE`);

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
