<?php

/**
 * @author joker
 * @copyright 2018
 */

require_once("data/db.inc");
require_once("data/AsistenciaCelula.inc");

class AsistenciaCelula extends DataBase
{
    function __construct()
    {
        $this->Open();
    }
    
    function Lista($_condicion="")
    {
        $newCondicion = ($_condicion=="") ? "" : $_condicion;
        $sql = "Select * from asistenciacelula $newCondicion";
        $res = $this->Execute($sql);
        $listaP = array();
        
        if($this->ContainsData($res))
        {
            $data = $this->DataListStructure($res);
            
            foreach($data as $item)
            {
                $osPais = new Structure_AsistenciaCelula;
                
                $osPais->IdInformeCelula->SetValue($item["IdInformeCelula"]);
                $osPais->IdPersona->SetValue($item["Idpersona"]);
                $osPais->Estado->SetValue($item["Estado"]);
                
                $listaP[] = $osPais;
            }
            
        }
        return $listaP;
    }
    
    
    function ListaCargoPermiso2($_condicion="")
    {
        //$newCondicion = ($_condicion=="") ? "where estado='activo'" : $_condicion." and estado='activo'";
        $sql = "select c.Nombre, p.Nombre, cp.Estado from cargo c inner join cargopermiso cp on c.IdCargo= cp.IdCargo 
        inner join permiso p on p.IdPermiso= cp.IdPermiso   ";
        $res = $this->Execute($sql);
        $listaP = array();
        
        if($this->ContainsData($res))
        {
            $data = $this->DataListStructure($res);
            
            foreach($data as $item)
            {
                $osPais = new Structure_CargoPermiso;
                
                $osPais->IdCargo->SetValue($item["IdCargo"]);
                $osPais->IdPermiso->SetValue($item["IdPermiso"]);
                $osPais->Estado->SetValue($item["Estado"]);
                
                $listaP[] = $osPais;
            }
            
        }
        return $listaP;
    }
    

        function ListaCp($idcargo)
    {
        //$newCondicion = ($_condicion=="") ? "" : $_condicion;
        $sql = "Select * from cargopermiso where IdCargo = $idcargo";
        $res = $this->Execute($sql);
        $listaP = array();
        
        if($this->ContainsData($res))
        {
            $data = $this->DataListStructure($res);
            
            foreach($data as $item)
            {
                $osPais = new Structure_CargoPermiso;
                
                $osPais->IdCargo->SetValue($item["IdCargo"]);
                $osPais->IdPermiso->SetValue($item["IdPermiso"]);
                $osPais->Estado->SetValue($item["Estado"]);
                
                $listaP[] = $osPais;
            }
            
        }
        return $listaP;
    }
    
         function listaperret($IdCargo)
    {
        //$newCondicion = ($_condicion=="") ? "" : $_condicion;
        $sql = "select p.Nombre, p.ApellidoPaterno, p.ApellidoMaterno, pr.Macrocelula , pr.Celula from persona p join personaretiro pr on p.IdPersona = pr.IdPersona join retiro r on r.IdRetiro = pr.IdRetiro where r.IdRetiro=$IdCargo ";
        $res = $this->Execute($sql);
        
        $listaP2 = array();
        
        while ($file = mysql_fetch_array($res)){
        
        $nombre = $file['Nombre'];
        $apellidopaterno = $file['ApellidoPaterno'];
        $apellidomaterno = $file['ApellidoMaterno'];
        $macrocelula = $file['Macrocelula'];
        $celula = $file['Celula'];
        $listaP2[] = array("nombre" => $nombre, "apellidopaterno" => $apellidopaterno,"apellidomaterno" => $apellidomaterno, "macrocelula" => $macrocelula, "celula" => $celula );
            }
        return $listaP2;
    }
    
    
    function Guardar($_osCargopermiso)
    {
        $sql = "Insert into asistenciacelula values(
                ".$_osCargopermiso->IdInformeCelula->getValue().",
                '".$_osCargopermiso->IdPersona->getValue()."',
                '".$_osCargopermiso->Estado->getValue()."'
                )";
        $res = $this->Execute($sql);
        
        return $res;
    }
    
    function Actualizarasistencia($_osPais)
    {
        $sql = "Update asistenciacelula set 
                Estado = '".$_osPais->Estado->GetValue()."'
                where IdInformeCelula = ".$_osPais->IdInformeCelula->getValue()."
                and Idpersona = ".$_osPais->IdPersona->getValue();
        $res = $this->Execute($sql);
        return $sql;   
    }
    
      
    
    
    function EliminarPais($_hash)
    {
        $sql = "Update pais set estadoPais='Inactivo' where hash= '".$_hash."' ";
        $res = $this->Execute($sql);
        return $res;
    }
    
}



?>