<?php

/**
 * @author Joker
 * @copyright 2018
 */


require_once("data/db.inc");
require_once("data/config.inc");
require_once("data/Egreso.inc");

class Egreso extends DataBase
{
    function __construct()
    {
        $this->Open();
    }
    

    
    function Lista($_condicion="")
    {
        
        // $sql2 =($_condicion=="")? "where estado='activo'":$_condicion."and estado='activo'";
         $sql2 =($_condicion=="")? "":$_condicion."";
        $sql = "Select *from egreso $sql2";
        $res = $this->Execute($sql);
        //$sql2 =($_condicion=="")? "where estado='Activo'":$_condicion."and estado='Activo'";
       
        $res = $this->Execute($sql);
        
        $lista = array();
        
        if ($this->ContainsData($res)){
             
             $data = $this->DataListStructure($res);
             
             foreach($data as $item){
                $_osUsuario = new Structure_Egreso;
                
                $_osUsuario->IdEgreso->SetValue( $item["IdEgreso"] );
                $_osUsuario->Hash->SetValue( $item["Hash"] );
                $_osUsuario->Entregue->SetValue( $item["Entregue"] );
                 $_osUsuario->Suma->SetValue( $item["Suma"] );
                $_osUsuario->Concepto->SetValue($item["Concepto"]);
                $_osUsuario->Fecha->SetValue($item["Fecha"]);
                $_osUsuario->Estado->SetValue($item["Estado"]);
                $_osUsuario->IdRetiro->SetValue($item["IdRetiro"]);
                $_osUsuario->IdMinisterio->SetValue($item["IdMinisterio"]);
                                
                $lista[] = $_osUsuario;
             }
        }
        
        return $lista;
        
    }
    
    
     function ListaLideres($_condicion="")
    {
        
        // $sql2 =($_condicion=="")? "where estado='activo'":$_condicion."and estado='activo'";
         $sql2 =($_condicion=="")? "":$_condicion."";
        $sql = "SELECT * FROM persona p join celula c on p.IdPersona=c.Lider ";
        $res = $this->Execute($sql);
        //$sql2 =($_condicion=="")? "where estado='Activo'":$_condicion."and estado='Activo'";
       
        $res = $this->Execute($sql);
        
        $lista = array();
        
        if ($this->ContainsData($res)){
             
             $data = $this->DataListStructure($res);
             
             foreach($data as $item){
                $_osUsuario = new Structure_Persona;
                
                $_osUsuario->IdPersona->SetValue( $item["IdPersona"] );
                $_osUsuario->Hash->SetValue( $item["Hash"] );
                $_osUsuario->Nombre->SetValue( $item["Nombre"] );
                $_osUsuario->ApellidoPaterno->SetValue($item["ApellidoPaterno"]);
                $_osUsuario->ApellidoMaterno->SetValue($item["ApellidoMaterno"]);
                $_osUsuario->Ci->SetValue($item["Ci"]);
                $_osUsuario->Fotografia->SetValue($item["Fotografia"]);
                $_osUsuario->Direccion->SetValue($item["Direccion"]);
                $_osUsuario->Telefono->SetValue($item["Telefono"]);
                $_osUsuario->Generacion->SetValue($item["Generacion"]);
                 $_osUsuario->FechaNacimiento->SetValue($item["FechaNacimiento"]);
                 $_osUsuario->IdLider->SetValue($item["IdLider"]);
                 $_osUsuario->estado->SetValue($item["estado"]);
                                
                $lista[] = $_osUsuario;
             }
        }
        
        return $lista;
        
    }
    
    
    function Listaajax($filtro="")
    {
        
        $condicion = "";
        if ($filtro != ""){
            
            //$param2 = ( is_int($filtro) ) ? " or idEstudiante = " . $filtro : "";
            
            $condicion = " where Nombre like '%$filtro%' ";
        }
        
        $sql = "Select * from persona " . $condicion;
        $res = $this->Execute($sql);
        //$sql2 =($_condicion=="")? "where estado='Activo'":$_condicion."and estado='Activo'";
       
        $res = $this->Execute($sql);
        
        $lista = array();
        
        if ($this->ContainsData($res)){
             
             $data = $this->DataListStructure($res);
             
             foreach($data as $item){
                $_osUsuario = new Structure_Persona;
                
                $_osUsuario->IdPersona->SetValue( $item["IdPersona"] );
                $_osUsuario->Hash->SetValue( $item["Hash"] );
                $_osUsuario->Nombre->SetValue( $item["Nombre"] );
                $_osUsuario->ApellidoPaterno->SetValue($item["ApellidoPaterno"]);
                $_osUsuario->ApellidoMaterno->SetValue($item["ApellidoMaterno"]);
                $_osUsuario->Ci->SetValue($item["Ci"]);
                $_osUsuario->Fotografia->SetValue($item["Fotografia"]);
                $_osUsuario->Direccion->SetValue($item["Direccion"]);
                $_osUsuario->Telefono->SetValue($item["Telefono"]);
                $_osUsuario->Generacion->SetValue($item["Generacion"]);
                 $_osUsuario->FechaNacimiento->SetValue($item["FechaNacimiento"]);
                 $_osUsuario->estado->SetValue($item["estado"]);
                                
                $lista[] = $_osUsuario;
             }
        }
        
        return $lista;
        
    }
    
    
    function verificarci($_condicion="")
    {
        
        // $sql2 =($_condicion=="")? "where estado='activo'":$_condicion."and estado='activo'";
         $sql2 =($_condicion=="")? "":$_condicion."";
        $sql = "Select *from persona $sql2";
        $res = $this->Execute($sql);
        //$sql2 =($_condicion=="")? "where estado='Activo'":$_condicion."and estado='Activo'";
       
       // $res = $this->Execute($sql);
        
        $sw = $this->ContainsData($res);
        

        
        return $sw;
        
    }
    

    
    function Listapersonasusuarios($_condicion="")
    {
        
        
       //  $sql2 =($_condicion=="")? "where estado='activo'":$_condicion."and estado='activo'";
        $sql = "Select u.IdPersona from persona p left join usuario u on u.IdPersona = p.IdPersona ";
        $res = $this->Execute($sql);
        //$sql2 =($_condicion=="")? "where estado='Activo'":$_condicion."and estado='Activo'";
       
        $res = $this->Execute($sql);
        
        $lista = array();
        
        if ($this->ContainsData($res)){
             
             $data = $this->DataListStructure($res);
             
             foreach($data as $item){
                $_osUsuario = new Structure_Persona;
                
                $_osUsuario->IdPersona->SetValue( $item["IdPersona"] );
                                
                $lista[] = $_osUsuario;
             }
        }
        
        return $lista;
        
    }
    
     function listapersonasuser($_condicion="")
    {
        //$newCondicion = ($_condicion=="") ? "" : $_condicion;
        $sql = "Select u.IdPersona as usuario, p.IdPersona as persona, p.Nombre, p.ApellidoPaterno, p.Hash 
        from persona p left join usuario u on u.IdPersona = p.IdPersona order by p.IdPersona ";
        $res = $this->Execute($sql);
        
        $listaP = array();
        
        while ($file = mysql_fetch_array($res)){
        
        $us = $file['usuario'];
        $pe = $file['persona'];
        $n = $file['Nombre'];
        $ap = $file['ApellidoPaterno'];
        $h = $file['Hash'];
        $listaP[] = array("user" => $us, "persona" => $pe, "no" => $n, "app" => $ap, "ha" => $h );
            }
        return $listaP;
    }
    
    
    
    function Save($_osUsuario){
        $sql = "Insert into egreso values(
            ". $_osUsuario->IdEgreso->GetValue() .",
            '". $_osUsuario->Hash->GetValue() ."',
            '". $_osUsuario->Entregue->GetValue() ."',
            '". $_osUsuario->Suma->GetValue() ."',
            '". $_osUsuario->Concepto->GetValue()."',
            '". $_osUsuario->Fecha->GetValue()."',
            '". $_osUsuario->Estado->GetValue()."',
            '". $_osUsuario->IdRetiro->GetValue()."',
            '". $_osUsuario->IdMinisterio->GetValue()."'
        )";
        $res = $this->Execute($sql);
        
        if ($res){
            $uid = mysql_insert_id();
            $hash = sha1($uid);
            $sql2 = "Update egreso set Hash = '$hash' where IdEgreso = " . $uid;
            $res2 = $this->Execute($sql2);
        }
        
        return $res;
    }
    function Actualizar($_osUsuario){
        $sql ="Update egreso set
            Entregue='".$_osUsuario->Entregue->GetValue()."',
            Suma='".$_osUsuario->Suma->GetValue()."',
            Concepto='".$_osUsuario->Concepto->GetValue()."',
            Fecha='".$_osUsuario->Fecha->GetValue()."',
            Estado='".$_osUsuario->Estado->GetValue()."',
            IdRetiro='".$_osUsuario->IdRetiro->GetValue()."',
            IdMinisterio='".$_osUsuario->IdMinisterio->GetValue()."'
            where IdEgreso = ".$_osUsuario->IdEgreso->GetValue()."
            ";
            $res=$this->Execute($sql);
            return $res;
    }
    function Eliminar($_hash){
         $sql="Delete from egreso where
        hash='".$_hash."'";
    $res= $this->Execute($sql); 
    return $res; 
    }
    
    function Verificarrod($_oSt_Usuario)
    {
        $user = $_oSt_Usuario->usuarioU->Valor;
        $pass = $_oSt_Usuario->contraU->Valor;
        
        $sql = "Select *
                from usuariointerno where usuarioU = AES_ENCRYPT('$user','".SecureKey."')
                and contraU = AES_ENCRYPT('$pass','".SecureKey."') ";
        $res = $this->Execute($sql);
                
        $msg = ($this->ContainsData($res)) ? true : false;
        return $msg;
    }
    
    function obtnerid($_oSt_Usuario)
    {
        $user = $_oSt_Usuario->usuarioU->Valor;
        $pass = $_oSt_Usuario->contraU->Valor;
        $sql = "Select idUsuario
                from usuariointerno where usuarioU = AES_ENCRYPT('$user','".SecureKey."')
                and contraU = AES_ENCRYPT('$pass','".SecureKey."') ";
        $res = $this->Execute($sql);
        
        $lista = -1;
        if ($this->ContainsData($res))
        {
            $datos = $this->DataListStructure($res);
                        
            foreach($datos as $usuario)
            {
                $lista    = $usuario["idUsuario"];
            }
        }
        
        return $lista;
    }
   function Verificar($_osUsuario)
    {
        $sql = "Select * from usuariointerno where usuarioU = AES_DECRYPT('". $_osUsuario->usuarioU->GetValue() ."','". SecureKey ."') and contraU = AES_DECRYPT('". $_osUsuario->usuarioU->GetValue() ."','". SecureKey ."') ";
        $res = $this->Execute($sql);
        
        echo $res;
        /**
 * if($res['usuarioU'] == $_osUsuario->usuarioU->GetValue() and $res['contraU']==$_osUsuario->contraU->GetValue())
 *         {

 *             $msg="ok";
 *         }
 *         else{
 *             echo "error";
 *             $msg="false";  
 *         }
 */
        
        return $res;
    }
        
    }

?>