<?php

/**
 * @author Joker
 * @copyright 2018
 */


require_once("data/db.inc");
require_once("data/config.inc");
require_once("data/Escuela.inc");

class Escuela extends DataBase
{
    function __construct()
    {
        $this->Open();
    }
    

    
    function Lista($_condicion="")
    {
        
        // $sql2 =($_condicion=="")? "where estado='activo'":$_condicion."and estado='activo'";
         $sql2 =($_condicion=="")? "":$_condicion."";
        $sql = "Select *from escuela $sql2";
        $res = $this->Execute($sql);
        //$sql2 =($_condicion=="")? "where estado='Activo'":$_condicion."and estado='Activo'";
       
        $res = $this->Execute($sql);
        
        $lista = array();
        
        if ($this->ContainsData($res)){
             
             $data = $this->DataListStructure($res);
             
             foreach($data as $item){
                $_osUsuario = new Structure_Escuela;
                
                $_osUsuario->IdEscuela->SetValue( $item["IdEscuela"] );
                $_osUsuario->Hash->SetValue( $item["Hash"] );
                $_osUsuario->Nombre->SetValue( $item["Nombre"] );
                $_osUsuario->Dia->SetValue($item["Dia"]);
                $_osUsuario->Hora->SetValue($item["Hora"]);
                $_osUsuario->FechaInicio->SetValue($item["FechaInicio"]);
                $_osUsuario->Lugar->SetValue($item["Lugar"]);
                $_osUsuario->Aula->SetValue($item["Aula"]);
                $_osUsuario->TipoEscuela->SetValue($item["TipoEscuela"]);
                 $_osUsuario->Estado->SetValue($item["Estado"]);
                                
                $lista[] = $_osUsuario;
             }
        }
        
        return $lista;
        
    }
    
    
    function EstudianteEscuela($idper)
    {
        
        // $sql2 =($_condicion=="")? "where estado='activo'":$_condicion."and estado='activo'";
         
        $sql = "SELECT * FROM escuela es join personaescuela pe on pe.IdEscuela= es.IdEscuela and pe.IdPersona= $idper ";
        $res = $this->Execute($sql);
        //$sql2 =($_condicion=="")? "where estado='Activo'":$_condicion."and estado='Activo'";
       
        $res = $this->Execute($sql);
        
        $lista = array();
        
        if ($this->ContainsData($res)){
             
             $data = $this->DataListStructure($res);
             
             foreach($data as $item){
                $_osUsuario = new Structure_Escuela;
                
                $_osUsuario->IdEscuela->SetValue( $item["IdEscuela"] );
                $_osUsuario->Hash->SetValue( $item["Hash"] );
                $_osUsuario->Nombre->SetValue( $item["Nombre"] );
                $_osUsuario->Dia->SetValue($item["Dia"]);
                $_osUsuario->Hora->SetValue($item["Hora"]);
                $_osUsuario->FechaInicio->SetValue($item["FechaInicio"]);
                $_osUsuario->Lugar->SetValue($item["Lugar"]);
                $_osUsuario->Aula->SetValue($item["Aula"]);
                $_osUsuario->TipoEscuela->SetValue($item["TipoEscuela"]);
                 $_osUsuario->Estado->SetValue($item["Estado"]);
                                
                $lista[] = $_osUsuario;
             }
        }
        
        return $lista;
        
    }
    
     function Lista12($lider)
    {
        
        // $sql2 =($_condicion=="")? "where estado='activo'":$_condicion."and estado='activo'";
 
        $sql = "SELECT p.IdPersona as IdPersona, p.Hash as Hash, p.Nombre as Nombre,
        p.ApellidoPaterno as ApellidoPaterno, p.ApellidoMaterno as ApellidoMaterno,
        p.Ci as Ci, p.Genero as Genero, p.Fotografia as Fotografia , p.Direccion as Direccion,
        p.Telefono as Telefono, p.Generacion as Generacion, p.FechaNacimiento as FechaNacimiento,
        p.IdLider as IdLider , p.estado as estado from persona p join celula c on  p.IdPersona= c.Lider and p.IdLider = $lider";
        $res = $this->Execute($sql);
        //$sql2 =($_condicion=="")? "where estado='Activo'":$_condicion."and estado='Activo'";
       
        $res = $this->Execute($sql);
        
        $lista = array();
        
        if ($this->ContainsData($res)){
             
             $data = $this->DataListStructure($res);
             
             foreach($data as $item){
                $_osUsuario = new Structure_Persona;
                
                $_osUsuario->IdPersona->SetValue( $item["IdPersona"] );
                $_osUsuario->Hash->SetValue( $item["Hash"] );
                $_osUsuario->Nombre->SetValue( $item["Nombre"] );
                $_osUsuario->ApellidoPaterno->SetValue($item["ApellidoPaterno"]);
                $_osUsuario->ApellidoMaterno->SetValue($item["ApellidoMaterno"]);
                $_osUsuario->Ci->SetValue($item["Ci"]);
                $_osUsuario->Genero->SetValue($item["Genero"]);
                $_osUsuario->Fotografia->SetValue($item["Fotografia"]);
                $_osUsuario->Direccion->SetValue($item["Direccion"]);
                $_osUsuario->Telefono->SetValue($item["Telefono"]);
                $_osUsuario->Generacion->SetValue($item["Generacion"]);
                 $_osUsuario->FechaNacimiento->SetValue($item["FechaNacimiento"]);
                 $_osUsuario->IdLider->SetValue($item["IdLider"]);
                 $_osUsuario->estado->SetValue($item["estado"]);
                                
                $lista[] = $_osUsuario;
             }
        }
        
        return $lista;
        
    }
    
     function ListaPersonaretiroreport($idret)
    {
        
        // $sql2 =($_condicion=="")? "where estado='activo'":$_condicion."and estado='activo'";
       
        $sql = "SELECT * FROM persona where IdPersona in (Select Idpersona from personaretiro where IdRetiro = $idret)";
        $res = $this->Execute($sql);
        //$sql2 =($_condicion=="")? "where estado='Activo'":$_condicion."and estado='Activo'";
       
        $res = $this->Execute($sql);
        
        $lista = array();
        
        if ($this->ContainsData($res)){
             
             $data = $this->DataListStructure($res);
             
             foreach($data as $item){
                $_osUsuario = new Structure_Persona;
                
                $_osUsuario->IdPersona->SetValue( $item["IdPersona"] );
                $_osUsuario->Hash->SetValue( $item["Hash"] );
                $_osUsuario->Nombre->SetValue( $item["Nombre"] );
                $_osUsuario->ApellidoPaterno->SetValue($item["ApellidoPaterno"]);
                $_osUsuario->ApellidoMaterno->SetValue($item["ApellidoMaterno"]);
                $_osUsuario->Ci->SetValue($item["Ci"]);
                $_osUsuario->Genero->SetValue($item["Genero"]);
                $_osUsuario->Fotografia->SetValue($item["Fotografia"]);
                $_osUsuario->Direccion->SetValue($item["Direccion"]);
                $_osUsuario->Telefono->SetValue($item["Telefono"]);
                $_osUsuario->Generacion->SetValue($item["Generacion"]);
                 $_osUsuario->FechaNacimiento->SetValue($item["FechaNacimiento"]);
                 $_osUsuario->IdLider->SetValue($item["IdLider"]);
                 $_osUsuario->estado->SetValue($item["estado"]);
                                
                $lista[] = $_osUsuario;
             }
        }
        
        return $lista;
        
    }
    
     function ListaLideres($_condicion="")
    {
        
        // $sql2 =($_condicion=="")? "where estado='activo'":$_condicion."and estado='activo'";
         $sql2 =($_condicion=="")? "":$_condicion.""; 
        $sql = "SELECT p.IdPersona as IdPersona, p.Hash as Hash, p.Nombre as Nombre,
        p.ApellidoPaterno as ApellidoPaterno, p.ApellidoMaterno as ApellidoMaterno,
        p.Ci as Ci , p.Fotografia as Fotografia , p.Direccion as Direccion,
        p.Telefono as Telefono, p.Generacion as Generacion, p.FechaNacimiento as FechaNacimiento,
        p.IdLider as IdLider , p.estado as estado  FROM persona p join celula c on p.IdPersona=c.Lider ";
        $res = $this->Execute($sql);
        //$sql2 =($_condicion=="")? "where estado='Activo'":$_condicion."and estado='Activo'";
       
        $res = $this->Execute($sql);
        
        $lista = array();
        
        if ($this->ContainsData($res)){
             
             $data = $this->DataListStructure($res);
             
             foreach($data as $item){
                $_osUsuario = new Structure_Persona;
                
                $_osUsuario->IdPersona->SetValue( $item["IdPersona"] );
                $_osUsuario->Hash->SetValue( $item["Hash"] );
                $_osUsuario->Nombre->SetValue( $item["Nombre"] );
                $_osUsuario->ApellidoPaterno->SetValue($item["ApellidoPaterno"]);
                $_osUsuario->ApellidoMaterno->SetValue($item["ApellidoMaterno"]);
                $_osUsuario->Ci->SetValue($item["Ci"]);
                $_osUsuario->Fotografia->SetValue($item["Fotografia"]);
                $_osUsuario->Direccion->SetValue($item["Direccion"]);
                $_osUsuario->Telefono->SetValue($item["Telefono"]);
                $_osUsuario->Generacion->SetValue($item["Generacion"]);
                 $_osUsuario->FechaNacimiento->SetValue($item["FechaNacimiento"]);
                 $_osUsuario->IdLider->SetValue($item["IdLider"]);
                 $_osUsuario->estado->SetValue($item["estado"]);
                                
                $lista[] = $_osUsuario;
             }
        }
        
        return $lista;
        
    }
    
    
     function ListaPersonasInforme($idinforme)
    {
        
        // $sql2 =($_condicion=="")? "where estado='activo'":$_condicion."and estado='activo'";
        // $sql2 =($_condicion=="")? "":$_condicion.""; 
        $sql = "SELECT * FROM persona p join asistenciacelula ac on p.IdPersona = ac.Idpersona 
        join informecelula ic on ac.IdInformeCelula = ic.IdinformeCelula and ic.IdInformeCelula = $idinforme ";
        $res = $this->Execute($sql);
        //$sql2 =($_condicion=="")? "where estado='Activo'":$_condicion."and estado='Activo'";
       
        $res = $this->Execute($sql);
        
        $lista = array();
        
        if ($this->ContainsData($res)){
             
             $data = $this->DataListStructure($res);
             
             foreach($data as $item){
                $_osUsuario = new Structure_Persona;
                
                $_osUsuario->IdPersona->SetValue( $item["IdPersona"] );
                $_osUsuario->Hash->SetValue( $item["Hash"] );
                $_osUsuario->Nombre->SetValue( $item["Nombre"] );
                $_osUsuario->ApellidoPaterno->SetValue($item["ApellidoPaterno"]);
                $_osUsuario->ApellidoMaterno->SetValue($item["ApellidoMaterno"]);
                $_osUsuario->Ci->SetValue($item["Ci"]);
                $_osUsuario->Fotografia->SetValue($item["Fotografia"]);
                $_osUsuario->Direccion->SetValue($item["Direccion"]);
                $_osUsuario->Telefono->SetValue($item["Telefono"]);
                $_osUsuario->Generacion->SetValue($item["Generacion"]);
                 $_osUsuario->FechaNacimiento->SetValue($item["FechaNacimiento"]);
                 $_osUsuario->IdLider->SetValue($item["IdLider"]);
                 $_osUsuario->estado->SetValue($item["estado"]);
                                
                $lista[] = $_osUsuario;
             }
        }
        
        return $lista;
        
    }
    
    
    function Listaajax($filtro="")
    {
        
        $condicion = "";
        if ($filtro != ""){
            
            //$param2 = ( is_int($filtro) ) ? " or idEstudiante = " . $filtro : "";
            
            
            $condicion = " where p.Nombre like '%$filtro%' and p.IdPersona not in (select c.Lider from celula c)";
            
           
        }else{
            $condicion = " where  p.IdPersona not in (select c.Lider from celula c)";
        }
        
        $sql = "Select * from persona p" . $condicion;
        $res = $this->Execute($sql);
        //$sql2 =($_condicion=="")? "where estado='Activo'":$_condicion."and estado='Activo'";
       
        $res = $this->Execute($sql);
        
        $lista = array();
        
        if ($this->ContainsData($res)){
             
             $data = $this->DataListStructure($res);
             
             foreach($data as $item){
                $_osUsuario = new Structure_Persona;
                
                $_osUsuario->IdPersona->SetValue( $item["IdPersona"] );
                $_osUsuario->Hash->SetValue( $item["Hash"] );
                $_osUsuario->Nombre->SetValue( $item["Nombre"] );
                $_osUsuario->ApellidoPaterno->SetValue($item["ApellidoPaterno"]);
                $_osUsuario->ApellidoMaterno->SetValue($item["ApellidoMaterno"]);
                $_osUsuario->Ci->SetValue($item["Ci"]);
                $_osUsuario->Genero->SetValue($item["Genero"]);
                $_osUsuario->Fotografia->SetValue($item["Fotografia"]);
                $_osUsuario->Direccion->SetValue($item["Direccion"]);
                $_osUsuario->Telefono->SetValue($item["Telefono"]);
                $_osUsuario->Generacion->SetValue($item["Generacion"]);
                 $_osUsuario->FechaNacimiento->SetValue($item["FechaNacimiento"]);
                 $_osUsuario->estado->SetValue($item["estado"]);
                                
                $lista[] = $_osUsuario;
             }
        }
        
        return $lista;
        
    }
    
    
    function Listatodaspersonas($filtro="")
    {
        
        $condicion = "";
        if ($filtro != ""){
            
            //$param2 = ( is_int($filtro) ) ? " or idEstudiante = " . $filtro : "";
            
            
            $condicion = " where  Nombre like '%$filtro%' or ApellidoPaterno like '%$filtro%' ";
            
           
        }
        
        $sql = "Select * from persona " . $condicion;
        $res = $this->Execute($sql);
        //$sql2 =($_condicion=="")? "where estado='Activo'":$_condicion."and estado='Activo'";
       
        $res = $this->Execute($sql);
        
        $lista = array();
        
        if ($this->ContainsData($res)){
             
             $data = $this->DataListStructure($res);
             
             foreach($data as $item){
                $_osUsuario = new Structure_Persona;
                
                $_osUsuario->IdPersona->SetValue( $item["IdPersona"] );
                $_osUsuario->Hash->SetValue( $item["Hash"] );
                $_osUsuario->Nombre->SetValue( $item["Nombre"] );
                $_osUsuario->ApellidoPaterno->SetValue($item["ApellidoPaterno"]);
                $_osUsuario->ApellidoMaterno->SetValue($item["ApellidoMaterno"]);
                $_osUsuario->Ci->SetValue($item["Ci"]);
                $_osUsuario->Genero->SetValue($item["Genero"]);
                $_osUsuario->Fotografia->SetValue($item["Fotografia"]);
                $_osUsuario->Direccion->SetValue($item["Direccion"]);
                $_osUsuario->Telefono->SetValue($item["Telefono"]);
                $_osUsuario->Generacion->SetValue($item["Generacion"]);
                 $_osUsuario->FechaNacimiento->SetValue($item["FechaNacimiento"]);
                 $_osUsuario->estado->SetValue($item["estado"]);
                                
                $lista[] = $_osUsuario;
             }
        }
        
        return $lista;
        
    }
    
    
     function Listapersonasretiroverif($filtro="",$idret)
    {
        
      //  $condicion = "";
      //  if ($filtro != ""){
            
            //$param2 = ( is_int($filtro) ) ? " or idEstudiante = " . $filtro : "";
            
            
            $sql = " SELECT * FROM persona where Nombre Like '%$filtro%' and IdPersona not in (Select IdPersona from personaretiro where IdRetiro = $idret)";
            
           
      //  }
        
       // $sql = "Select * from persona " . $condicion;
        $res = $this->Execute($sql);
        //$sql2 =($_condicion=="")? "where estado='Activo'":$_condicion."and estado='Activo'";
       
        $res = $this->Execute($sql);
        
        $lista = array();
        
        if ($this->ContainsData($res)){
             
             $data = $this->DataListStructure($res);
             
             foreach($data as $item){
                $_osUsuario = new Structure_Persona;
                
                $_osUsuario->IdPersona->SetValue( $item["IdPersona"] );
                $_osUsuario->Hash->SetValue( $item["Hash"] );
                $_osUsuario->Nombre->SetValue( $item["Nombre"] );
                $_osUsuario->ApellidoPaterno->SetValue($item["ApellidoPaterno"]);
                $_osUsuario->ApellidoMaterno->SetValue($item["ApellidoMaterno"]);
                $_osUsuario->Ci->SetValue($item["Ci"]);
                $_osUsuario->Genero->SetValue($item["Genero"]);
                $_osUsuario->Fotografia->SetValue($item["Fotografia"]);
                $_osUsuario->Direccion->SetValue($item["Direccion"]);
                $_osUsuario->Telefono->SetValue($item["Telefono"]);
                $_osUsuario->Generacion->SetValue($item["Generacion"]);
                 $_osUsuario->FechaNacimiento->SetValue($item["FechaNacimiento"]);
                 $_osUsuario->estado->SetValue($item["estado"]);
                                
                $lista[] = $_osUsuario;
             }
        }
        
        return $lista;
        
    }
    
    
    function Listatodaspersonaslid($filtro="", $lider)
    {
        
        $condicion = "where Idlider = $lider";
        if ($filtro != ""){
            
            //$param2 = ( is_int($filtro) ) ? " or idEstudiante = " . $filtro : "";
            
            
            $condicion = " WHERE IdLider = $lider and Nombre Like '%$filtro%' or Idlider = $lider and ApellidoPaterno Like '%$filtro%'";
            
           
        }
        
        $sql = "Select * from persona " . $condicion ;
        $res = $this->Execute($sql);
        //$sql2 =($_condicion=="")? "where estado='Activo'":$_condicion."and estado='Activo'";
       
        $res = $this->Execute($sql);
        
        $lista = array();
        
        if ($this->ContainsData($res)){
             
             $data = $this->DataListStructure($res);
             
             foreach($data as $item){
                $_osUsuario = new Structure_Persona;
                
                $_osUsuario->IdPersona->SetValue( $item["IdPersona"] );
                $_osUsuario->Hash->SetValue( $item["Hash"] );
                $_osUsuario->Nombre->SetValue( $item["Nombre"] );
                $_osUsuario->ApellidoPaterno->SetValue($item["ApellidoPaterno"]);
                $_osUsuario->ApellidoMaterno->SetValue($item["ApellidoMaterno"]);
                $_osUsuario->Ci->SetValue($item["Ci"]);
                $_osUsuario->Genero->SetValue($item["Genero"]);
                $_osUsuario->Fotografia->SetValue($item["Fotografia"]);
                $_osUsuario->Direccion->SetValue($item["Direccion"]);
                $_osUsuario->Telefono->SetValue($item["Telefono"]);
                $_osUsuario->Generacion->SetValue($item["Generacion"]);
                 $_osUsuario->FechaNacimiento->SetValue($item["FechaNacimiento"]);
                 $_osUsuario->estado->SetValue($item["estado"]);
                                
                $lista[] = $_osUsuario;
             }
        }
        
        return $lista;
        
    }
    
    
    function verificarci($_condicion="")
    {
        
        // $sql2 =($_condicion=="")? "where estado='activo'":$_condicion."and estado='activo'";
         $sql2 =($_condicion=="")? "":$_condicion."";
        $sql = "Select *from persona $sql2";
        $res = $this->Execute($sql);
        //$sql2 =($_condicion=="")? "where estado='Activo'":$_condicion."and estado='Activo'";
       
       // $res = $this->Execute($sql);
        
        $sw = $this->ContainsData($res);
        

        
        return $sw;
        
    }
    
         function verificarnombre($_condicion="")
    {
        
        // $sql2 =($_condicion=="")? "where estado='activo'":$_condicion."and estado='activo'";
         $sql2 =($_condicion=="")? "":$_condicion."";
        $sql = "Select *from escuela $sql2";
        $res = $this->Execute($sql);
        //$sql2 =($_condicion=="")? "where estado='Activo'":$_condicion."and estado='Activo'";
       
       // $res = $this->Execute($sql);
        
        $sw = $this->ContainsData($res);
        

        
        return $sw;
        
    }
    
        function verificarpermin($idpersona , $gestion )
    {
        
        // $sql2 =($_condicion=="")? "where estado='activo'":$_condicion."and estado='activo'";
       //  $sql2 =($_condicion=="")? "":$_condicion."";
       // $sql = "SELECT * FROM personaministerio where IdPersona = $idpersona ";
        
        
        $sql = "SELECT * FROM personaministerio WHERE IdPersona = $idpersona and YEAR(FechaIngreso) = $gestion ";
       
        //$sql2 =($_condicion=="")? "where estado='Activo'":$_condicion."and estado='Activo'";
       
        $res = $this->Execute($sql);
        
        $sw = $this->ContainsData($res);
        

        
        return $sw;
        
    }
    
    
     function verificarencargadomin($idpersona , $gestion , $min )
    {
        
        // $sql2 =($_condicion=="")? "where estado='activo'":$_condicion."and estado='activo'";
       //  $sql2 =($_condicion=="")? "":$_condicion."";
       // $sql = "SELECT * FROM personaministerio where IdPersona = $idpersona ";
        
        
        $sql = "SELECT * FROM encargadoministerio WHERE IdPersona = $idpersona and IdMinisterio = $min and YEAR(FechaIngreso) = $gestion ";
       
        //$sql2 =($_condicion=="")? "where estado='Activo'":$_condicion."and estado='Activo'";
       
        $res = $this->Execute($sql);
        
        $sw = $this->ContainsData($res);
        

        
        return $sw;
        
    }
    
    function Listapersonasusuarios($_condicion="")
    {
        
        
       //  $sql2 =($_condicion=="")? "where estado='activo'":$_condicion."and estado='activo'";
        $sql = "Select u.IdPersona from persona p left join usuario u on u.IdPersona = p.IdPersona ";
        $res = $this->Execute($sql);
        //$sql2 =($_condicion=="")? "where estado='Activo'":$_condicion."and estado='Activo'";
       
        $res = $this->Execute($sql);
        
        $lista = array();
        
        if ($this->ContainsData($res)){
             
             $data = $this->DataListStructure($res);
             
             foreach($data as $item){
                $_osUsuario = new Structure_Persona;
                
                $_osUsuario->IdPersona->SetValue( $item["IdPersona"] );
                                
                $lista[] = $_osUsuario;
             }
        }
        
        return $lista;
        
    }
    
     function listapersonasuser($_condicion="")
    {
        //$newCondicion = ($_condicion=="") ? "" : $_condicion;
        $sql = "Select u.IdPersona as usuario, p.IdPersona as persona, p.Nombre, p.ApellidoPaterno, p.Hash 
        from persona p left join usuario u on u.IdPersona = p.IdPersona order by p.IdPersona ";
        $res = $this->Execute($sql);
        
        $listaP = array();
        
        while ($file = mysql_fetch_array($res)){
        
        $us = $file['usuario'];
        $pe = $file['persona'];
        $n = $file['Nombre'];
        $ap = $file['ApellidoPaterno'];
        $h = $file['Hash'];
        $listaP[] = array("user" => $us, "persona" => $pe, "no" => $n, "app" => $ap, "ha" => $h );
            }
        return $listaP;
    }
    
    
     function listapersonasasistencia($informe)
    {
        //$newCondicion = ($_condicion=="") ? "" : $_condicion;
        $sql = "select p.nombre, p.apellidopaterno, p.apellidomaterno, p.ci, ac.Estado
         from persona p join asistenciacelula ac on p.Idpersona = ac.idPersona join informecelula 
         ic on ic.IdInformecelula = ac.IdInformeCelula and ic.Idinformecelula= $informe  ";
        $res = $this->Execute($sql);
        
        $listaP = array();
        
        while ($file = mysql_fetch_array($res)){
        
        $us = $file['nombre'];
        $pe = $file['apellidopaterno'];
        $n = $file['apellidomaterno'];
        $ap = $file['ci'];
        $h = $file['Estado'];
        $listaP[] = array("nombre" => $us, "apellidop" => $pe, "apellidom" => $n, "ci" => $ap, "estado" => $h );
            }
        return $listaP;
    }
    
    
    
    function Save($_osUsuario){
        $sql = "Insert into escuela values(
            ". $_osUsuario->IdEscuela->GetValue() .",
            '". $_osUsuario->Hash->GetValue() ."',
            '". $_osUsuario->Nombre->GetValue() ."',
            '". $_osUsuario->Dia->GetValue()."',
            '". $_osUsuario->Hora->GetValue()."',
            '". $_osUsuario->FechaInicio->GetValue()."',
            '". $_osUsuario->Lugar->GetValue()."',
            '". $_osUsuario->Aula->GetValue()."',
            '". $_osUsuario->TipoEscuela->GetValue()."',
            '".$_osUsuario->Estado->GetValue()."'
        )";
        $res = $this->Execute($sql);
        
        if ($res){
            $uid = mysql_insert_id();
            $hash = sha1($uid);
            $sql2 = "Update escuela set Hash = '$hash' where IdEscuela = " . $uid;
            $res2 = $this->Execute($sql2);
        }
        
        return $res;
    }
    function Actualizar($_osUsuario){
        $sql ="Update escuela set
            Nombre='".$_osUsuario->Nombre->GetValue()."',
            Dia='".$_osUsuario->Dia->GetValue()."',
            Hora='".$_osUsuario->Hora->GetValue()."',
            FechaInicio='".$_osUsuario->FechaInicio->GetValue()."',
            Lugar='".$_osUsuario->Lugar->GetValue()."',
            Aula='".$_osUsuario->Aula->GetValue()."',
            TipoEscuela='".$_osUsuario->TipoEscuela->GetValue()."',
            Estado='".$_osUsuario->Estado->GetValue()."'
            where IdEscuela = ".$_osUsuario->IdEscuela->GetValue()."
            ";
            $res=$this->Execute($sql);
            return $res;
    }
    
    function ActualizarDiscipulo($idnewlider, $idper){
        $sql ="Update persona set
            
            IdLider='".$idnewlider."'
            where IdPersona = ".$idper."
            ";
            $res=$this->Execute($sql);
            return $res;
    }
    
    function Actualizargeneracion($geneactual, $idper){
    
        $sql ="Update persona set
            
            Generacion='".$geneactual."'
            where IdPersona = ".$idper."
            ";
            $res=$this->Execute($sql);
            return $res;
    }
    
    function Actualizargenmasuno($geneactual, $idper){
        $gennue= $geneactual + 1;
        $sql ="Update persona set
            
            Generacion='".$gennue."'
            where IdPersona = ".$idper."
            ";
            $res=$this->Execute($sql);
            return $res;
    }
    
        function Actualizargenmenosuno($geneactual, $idper){
        $gennue= $geneactual - 1;
        $sql ="Update persona set
            
            Generacion='".$gennue."'
            where IdPersona = ".$idper."
            ";
            $res=$this->Execute($sql);
            return $res;
    }
    
    function Eliminar($_hash){
        $sql="Update persona set 
        estado='inactivo' where
        hash='".$_hash."'";
    $res= $this->Execute($sql); 
    return $res; 
    }
    
    function Verificarrod($_oSt_Usuario)
    {
        $user = $_oSt_Usuario->usuarioU->Valor;
        $pass = $_oSt_Usuario->contraU->Valor;
        
        $sql = "Select *
                from usuariointerno where usuarioU = AES_ENCRYPT('$user','".SecureKey."')
                and contraU = AES_ENCRYPT('$pass','".SecureKey."') ";
        $res = $this->Execute($sql);
                
        $msg = ($this->ContainsData($res)) ? true : false;
        return $msg;
    }
    
    
    function Eslider($idli)
    {
        
        
        $sql = "Select * from celula where Lider = $idli";
        $res = $this->Execute($sql);
                
        $msg = ($this->ContainsData($res)) ? true : false;
        return $msg;
    }
    
    function obtnerid($_oSt_Usuario)
    {
        $user = $_oSt_Usuario->usuarioU->Valor;
        $pass = $_oSt_Usuario->contraU->Valor;
        $sql = "Select idUsuario
                from usuariointerno where usuarioU = AES_ENCRYPT('$user','".SecureKey."')
                and contraU = AES_ENCRYPT('$pass','".SecureKey."') ";
        $res = $this->Execute($sql);
        
        $lista = -1;
        if ($this->ContainsData($res))
        {
            $datos = $this->DataListStructure($res);
                        
            foreach($datos as $usuario)
            {
                $lista    = $usuario["idUsuario"];
            }
        }
        
        return $lista;
    }
    
     function maxgeneracion()
    {
 
        $sql = "SELECT MAX(generacion) as gen from persona";
        $res = $this->Execute($sql);
        
        $lista = -1;
        if ($this->ContainsData($res))
        {
            $datos = $this->DataListStructure($res);
                        
            foreach($datos as $usuario)
            {
                $lista    = $usuario["gen"];
            }
        }
        
        return $lista;
    }
   function Verificar($_osUsuario)
    {
        $sql = "Select * from usuariointerno where usuarioU = AES_DECRYPT('". $_osUsuario->usuarioU->GetValue() ."','". SecureKey ."') and contraU = AES_DECRYPT('". $_osUsuario->usuarioU->GetValue() ."','". SecureKey ."') ";
        $res = $this->Execute($sql);
        
        echo $res;
        /**
 * if($res['usuarioU'] == $_osUsuario->usuarioU->GetValue() and $res['contraU']==$_osUsuario->contraU->GetValue())
 *         {

 *             $msg="ok";
 *         }
 *         else{
 *             echo "error";
 *             $msg="false";  
 *         }
 */
        
        return $res;
    }
        
    }

?>