<?php

/**
 * @author joker
 * @copyright 2018
 */

require_once("data/db.inc");
require_once("data/Matrimonio.inc");

class Matrimonio extends DataBase
{
    function __construct()
    {
        $this->Open();
    }
    
    function Lista($_condicion="")
    {
        $newCondicion = ($_condicion=="") ? "" : $_condicion."";
        $sql = "Select * from matrimonio $newCondicion";
        $res = $this->Execute($sql);
        $listaP = array();
        
        if($this->ContainsData($res))
        {
            $data = $this->DataListStructure($res);
            
            foreach($data as $item)
            {
                $osPais = new Structure_Matrimonio;
                
                $osPais->IdMatrimonio->SetValue($item["IdMatrimonio"]);
                $osPais->Hash->SetValue($item["Hash"]);
                $osPais->IdEsposo->SetValue($item["IdEsposo"]);
                $osPais->IdEsposa->SetValue($item["IdEsposa"]);
                 $osPais->Fecha->SetValue($item["Fecha"]);
                $osPais->Estado->SetValue($item["Estado"]);
                
                $listaP[] = $osPais;
            }
            
        }
        return $listaP;
    }
    
     function ListaPag($_condicion="",$pag, $numerreg)
    {
        $newCondicion = ($_condicion=="") ? "" : $_condicion."";
        $sql = "Select * from matrimonio $newCondicion LIMIT $pag , $numerreg ";
        $res = $this->Execute($sql);
        $listaP = array();
        
        if($this->ContainsData($res))
        {
            $data = $this->DataListStructure($res);
            
            foreach($data as $item)
            {
                 $osPais = new Structure_Matrimonio;
                
                $osPais->IdMatrimonio->SetValue($item["IdMatrimonio"]);
                $osPais->Hash->SetValue($item["Hash"]);
                $osPais->IdEsposo->SetValue($item["IdEsposo"]);
                $osPais->IdEsposa->SetValue($item["IdEsposa"]);
                 $osPais->Fecha->SetValue($item["Fecha"]);
                $osPais->Estado->SetValue($item["Estado"]);
                
                $listaP[] = $osPais;
            }
            
        }
        return $listaP;
    }
    
    function Registrosporpartes($_condicion="",$pag, $numerreg)
    {
        
        // $sql2 =($_condicion=="")? "where estado='activo'":$_condicion."and estado='activo'";
         $sql2 =($_condicion=="")? "":$_condicion."";
        $sql = "Select * from matrimonio $sql2 LIMIT $pag , $numerreg ";
        $res = $this->Execute($sql);
        //$sql2 =($_condicion=="")? "where estado='Activo'":$_condicion."and estado='Activo'";
       
        $res2 = $this->RegistrostotalBD($res);
        
       
     
        
        return $res2;
        
    }
    
    function RegistrosListaPag($_condicion="")
    {
        
        // $sql2 =($_condicion=="")? "where estado='activo'":$_condicion."and estado='activo'";
         $sql2 =($_condicion=="")? "":$_condicion."";
        $sql = "Select *from matrimonio $sql2";
        $res = $this->Execute($sql);
        //$sql2 =($_condicion=="")? "where estado='Activo'":$_condicion."and estado='Activo'";
       
        $res2 = $this->RegistrostotalBD($res);
        
       
     
        
        return $res2;
        
    }
    
    
    function ListaCargored($_condicion="")
    {
        $newCondicion = ($_condicion=="") ? "" : $_condicion."";
        $sql = "Select * from cargo $newCondicion";
        $res = $this->Execute($sql);
        $listaP = array();
        
        if($this->ContainsData($res))
        {
            $data = $this->DataListStructure($res);
            
            foreach($data as $item)
            {
                $osPais = new Structure_Cargo;
                
                $osPais->IdCargo->SetValue($item["IdCargo"]);
                $osPais->Hash->SetValue($item["Hash"]);
                $osPais->Nombre->SetValue($item["Nombre"]);
                $osPais->Descripcion->SetValue($item["Descripcion"]);
                $osPais->estado->SetValue($item["estado"]);
                
                $listaP[] = $osPais;
            }
            
        }
        return $listaP;
    }
    
    
    
    function obtnerid($_oSt_Usuario)
    {
       $hash = $_oSt_Usuario->Hash->Valor;
        $sql = "Select IdCargo
                from cargo where Hash = '$hash' ";
        $res = $this->Execute($sql);
        
        $lista = -1;
        if ($this->ContainsData($res))
        {
            $datos = $this->DataListStructure($res);
                        
            foreach($datos as $usuario)
            {
                $lista    = $usuario["IdCargo"];
            }
        }
        
        return $lista;
    }
    
     function obtnernombre($idcargo)
    {
       //$hash = $_oSt_Usuario->Hash->Valor;
        $sql = "select Nombre from cargo where IdCargo= $idcargo ";
        $res = $this->Execute($sql);
        
        $lista = -1;
        if ($this->ContainsData($res))
        {
            $datos = $this->DataListStructure($res);
                        
            foreach($datos as $usuario)
            {
                $lista    = $usuario["Nombre"];
            }
        }
        
        return $lista;
    }
    
  
    function Guardar($_osPais)
    {
        $sql = "Insert into Matrimonio values(
                ".$_osPais->IdMatrimonio->getValue().",
                '".$_osPais->Hash->getValue()."',
                '".$_osPais->IdEsposo->getValue()."',
                '".$_osPais->IdEsposa->getValue()."',
                '".$_osPais->Fecha->getValue()."',
                '".$_osPais->Estado->getValue()."'
                )";
        $res = $this->Execute($sql);
        
        if($res)
        {
            $uid = mysql_insert_id();
            $hash = sha1($uid);
            $sql2 = "Update matrimonio set Hash = '$hash' where IdMatrimonio = ".$uid;
            $res2 = $this->Execute($sql2);          
        }
        return $res;
    }
    
    function Actualizar($_osPais)
    {
        $sql = "Update matrimonio set 
                IdEsposo = '".$_osPais->IdEsposo->GetValue()."',
                IdEsposa = '".$_osPais->IdEsposa->GetValue()."',
                Fecha = '".$_osPais->Fecha->GetValue()."'
                where IdMatrimonio = ".$_osPais->IdMatrimonio->getValue();
        $res = $this->Execute($sql);
        return $sql;   
    }
    
    
    function Eliminar($_hash)
    {
        $sql = "Delete from matrimonio where  hash= '".$_hash."' ";
        $res = $this->Execute($sql);
        return $res;
    }
    
       function personaretirolistpersona($idpersona)
    {
        //$newCondicion = ($_condicion=="") ? "" : $_condicion;
        $sql = "SELECT r.Nombre as retiro, r.FechaInicio as fecha FROM retiro r join personaretiro 
        pr on r.IdRetiro = pr.IdRetiro join persona p on p.IdPersona = pr.IdPersona and p.IdPersona =  $idpersona   ";
        $res = $this->Execute($sql);
        
        $listaP = array();
        
        while ($file = mysql_fetch_array($res)){
        
        $us = $file['retiro'];
        $pe = $file['fecha'];
     
     
        $listaP[] = array("retiro" => $us, "fecha" => $pe);
            }
        return $listaP;
    }
    
    
        function obtnerultimo()
    {
       
        $sql = "select max(IdCargo) as idcargo from cargo";
        $res = $this->Execute($sql);
        
        $lista = -1;
        if ($this->ContainsData($res))
        {
            $datos = $this->DataListStructure($res);
                        
            foreach($datos as $usuario)
            {
                $lista    = $usuario["idcargo"];
            }
        }
        
        return $lista;
    }
    
}



?>