<?php

/**
 * @author joker
 * @copyright 2018
 */

require_once("data/db.inc");
require_once("data/Retiro.inc");

class Retiro extends DataBase
{
    function __construct()
    {
        $this->Open();
    }
    
    function Lista($_condicion="")
    {
        $newCondicion = ($_condicion=="") ? "" : $_condicion."";
        $sql = "Select * from retiro $newCondicion";
        $res = $this->Execute($sql);
        $listaP = array();
        
        if($this->ContainsData($res))
        {
            $data = $this->DataListStructure($res);
            
            foreach($data as $item)
            {
                $osPais = new Structure_Retiro;
                
                $osPais->IdRetiro->SetValue($item["IdRetiro"]);
                $osPais->Hash->SetValue($item["Hash"]);
                $osPais->Nombre->SetValue($item["Nombre"]);
                $osPais->Lugar->SetValue($item["Lugar"]);
                $osPais->FechaInicio->SetValue($item["FechaInicio"]);
                $osPais->FechaFin->SetValue($item["FechaFin"]);
                $osPais->Costo->SetValue($item["Costo"]);
                $osPais->Encargado->SetValue($item["Encargado"]);
                $osPais->TipoRetiro->SetValue($item["TipoRetiro"]);
                $osPais->Estado->SetValue($item["Estado"]);
                
                $listaP[] = $osPais;
            }
            
        }
        return $listaP;
    }
    
    function ListaPag($_condicion="",$pag, $numerreg)
    {
        $newCondicion = ($_condicion=="") ? "" : $_condicion."";
        $sql = "Select * from retiro $newCondicion LIMIT $pag , $numerreg ";
        $res = $this->Execute($sql);
        $listaP = array();
        
        if($this->ContainsData($res))
        {
            $data = $this->DataListStructure($res);
            
            foreach($data as $item)
            {
                $osPais = new Structure_Retiro;
                
                $osPais->IdRetiro->SetValue($item["IdRetiro"]);
                $osPais->Hash->SetValue($item["Hash"]);
                $osPais->Nombre->SetValue($item["Nombre"]);
                $osPais->Lugar->SetValue($item["Lugar"]);
                $osPais->FechaInicio->SetValue($item["FechaInicio"]);
                $osPais->FechaFin->SetValue($item["FechaFin"]);
                $osPais->Costo->SetValue($item["Costo"]);
                $osPais->Encargado->SetValue($item["Encargado"]);
                $osPais->TipoRetiro->SetValue($item["TipoRetiro"]);
                $osPais->Estado->SetValue($item["Estado"]);
                
                $listaP[] = $osPais;
            }
            
        }
        return $listaP;
    }
    
    function Registrosporpartes($_condicion="",$pag, $numerreg)
    {
        
        // $sql2 =($_condicion=="")? "where estado='activo'":$_condicion."and estado='activo'";
         $sql2 =($_condicion=="")? "":$_condicion."";
        $sql = "Select * from retiro $sql2 LIMIT $pag , $numerreg ";
        $res = $this->Execute($sql);
        //$sql2 =($_condicion=="")? "where estado='Activo'":$_condicion."and estado='Activo'";
       
        $res2 = $this->RegistrostotalBD($res);
        
       
     
        
        return $res2;
        
    }
    
    function RegistrosListaPag($_condicion="")
    {
        
        // $sql2 =($_condicion=="")? "where estado='activo'":$_condicion."and estado='activo'";
         $sql2 =($_condicion=="")? "":$_condicion."";
        $sql = "Select *from retiro $sql2";
        $res = $this->Execute($sql);
        //$sql2 =($_condicion=="")? "where estado='Activo'":$_condicion."and estado='Activo'";
       
        $res2 = $this->RegistrostotalBD($res);
        
       
     
        
        return $res2;
        
    }
    
    function ListaCargored($_condicion="")
    {
        $newCondicion = ($_condicion=="") ? "" : $_condicion."";
        $sql = "Select * from cargo $newCondicion";
        $res = $this->Execute($sql);
        $listaP = array();
        
        if($this->ContainsData($res))
        {
            $data = $this->DataListStructure($res);
            
            foreach($data as $item)
            {
                $osPais = new Structure_Cargo;
                
                $osPais->IdCargo->SetValue($item["IdCargo"]);
                $osPais->Hash->SetValue($item["Hash"]);
                $osPais->Nombre->SetValue($item["Nombre"]);
                $osPais->Descripcion->SetValue($item["Descripcion"]);
                $osPais->estado->SetValue($item["estado"]);
                
                $listaP[] = $osPais;
            }
            
        }
        return $listaP;
    }
    
    
    
    function obtnerid($_oSt_Usuario)
    {
       $hash = $_oSt_Usuario->Hash->Valor;
        $sql = "Select IdCargo
                from cargo where Hash = '$hash' ";
        $res = $this->Execute($sql);
        
        $lista = -1;
        if ($this->ContainsData($res))
        {
            $datos = $this->DataListStructure($res);
                        
            foreach($datos as $usuario)
            {
                $lista    = $usuario["IdCargo"];
            }
        }
        
        return $lista;
    }
    
     function obtnernombre($idcargo)
    {
       //$hash = $_oSt_Usuario->Hash->Valor;
        $sql = "select Nombre from cargo where IdCargo= $idcargo ";
        $res = $this->Execute($sql);
        
        $lista = -1;
        if ($this->ContainsData($res))
        {
            $datos = $this->DataListStructure($res);
                        
            foreach($datos as $usuario)
            {
                $lista    = $usuario["Nombre"];
            }
        }
        
        return $lista;
    }
    
  
    function Guardar($_osPais)
    {
        $sql = "Insert into retiro values(
                ".$_osPais->IdRetiro->getValue().",
                '".$_osPais->Hash->getValue()."',
                '".$_osPais->Nombre->getValue()."',
                '".$_osPais->Lugar->getValue()."',
                '".$_osPais->FechaInicio->getValue()."',
                '".$_osPais->FechaFin->getValue()."',
                '".$_osPais->Costo->getValue()."',
                '".$_osPais->Encargado->getValue()."',
                '".$_osPais->TipoRetiro->getValue()."',
                '".$_osPais->Estado->getValue()."'
                )";
        $res = $this->Execute($sql);
        
        if($res)
        {
            $uid = mysql_insert_id();
            $hash = sha1($uid);
            $sql2 = "Update retiro set Hash = '$hash' where IdRetiro = ".$uid;
            $res2 = $this->Execute($sql2);          
        }
        return $res;
    }
    
    function ActualizarRetiro($_osPais)
    {
        $sql = "Update retiro set 
                Nombre = '".$_osPais->Nombre->GetValue()."',
                Lugar = '".$_osPais->Lugar->GetValue()."',
                FechaInicio = '".$_osPais->FechaInicio->GetValue()."',
                FechaFin = '".$_osPais->FechaFin->GetValue()."',
                Costo = '".$_osPais->Costo->GetValue()."',
                Encargado = '".$_osPais->Encargado->GetValue()."',
                TipoRetiro = '".$_osPais->TipoRetiro->GetValue()."'
                where IdRetiro = ".$_osPais->IdRetiro->getValue();
        $res = $this->Execute($sql);
        return $sql;   
    }
    
    
    function Eliminar($_hash)
    {
        $sql = "Update retiro set Estado='0' where hash= '".$_hash."' ";
        $res = $this->Execute($sql);
        return $res;
    }
    
       function personaretirolistpersona($idpersona)
    {
        //$newCondicion = ($_condicion=="") ? "" : $_condicion;
        $sql = "SELECT r.Nombre as retiro, r.FechaInicio as fecha FROM retiro r join personaretiro 
        pr on r.IdRetiro = pr.IdRetiro join persona p on p.IdPersona = pr.IdPersona and p.IdPersona =  $idpersona   ";
        $res = $this->Execute($sql);
        
        $listaP = array();
        
        while ($file = mysqli_fetch_array($res)){
        
        $us = $file['retiro'];
        $pe = $file['fecha'];
     
     
        $listaP[] = array("retiro" => $us, "fecha" => $pe);
            }
        return $listaP;
    }
    
    function verificarnombre($_condicion="")
    {
        
        // $sql2 =($_condicion=="")? "where estado='activo'":$_condicion."and estado='activo'";
         $sql2 =($_condicion=="")? "":$_condicion."";
        $sql = "Select *from retiro $sql2";
        $res = $this->Execute($sql);
        //$sql2 =($_condicion=="")? "where estado='Activo'":$_condicion."and estado='Activo'";
       
       // $res = $this->Execute($sql);
        
        $sw = $this->ContainsData($res);
        

        
        return $sw;
        
    }
    
    function totalretiro($_condicion="")
    {
        $sql2 =($_condicion=="")? "":$_condicion."";
        $sql = "SELECT count(IdRetiro) as total FROM retiro $sql2 ";
        $res = $this->Execute($sql);
        
        $lista = -1;
        if ($this->ContainsData($res))
        {
            $datos = $this->DataListStructure($res);
                        
            foreach($datos as $usuario)
            {
                $lista    = $usuario["total"];
            }
        }
        
        return $lista;
    }
    
     function retirosgrafico($ano)
    {
        //$newCondicion = ($_condicion=="") ? "" : $_condicion;
        $sql = " SELECT count(r.Idretiro) as total, tr.nombre FROM retiro r join tiporetiro tr on year(FechaInicio)='$ano' and r.tiporetiro = tr.idtiporetiro group by tr.nombre   ";
        $res = $this->Execute($sql);
        
        $listaP = array();
        
        while ($file = mysql_fetch_array($res)){
        
        $us = $file['total'];
        $pe = $file['nombre'];
     
     
        $listaP[] = array("data" => $us, "nombre" => $pe);
            }
        return $listaP;
    }
    
    
        function obtnerultimo()
    {
       
        $sql = "select max(IdCargo) as idcargo from cargo";
        $res = $this->Execute($sql);
        
        $lista = -1;
        if ($this->ContainsData($res))
        {
            $datos = $this->DataListStructure($res);
                        
            foreach($datos as $usuario)
            {
                $lista    = $usuario["idcargo"];
            }
        }
        
        return $lista;
    }
    
}



?>