<?php

/**
 * @author joker
 * @copyright 2018
 */

require_once("data/db.inc");
require_once("data/Reunion.inc");

class Reunion extends DataBase
{
    function __construct()
    {
        $this->Open();
    }
    
    function Lista($_condicion="")
    {
        $newCondicion = ($_condicion=="") ? "" : $_condicion."";
        $sql = "Select * from reunion $newCondicion";
        $res = $this->Execute($sql);
        $listaP = array();
        
        if($this->ContainsData($res))
        {
            $data = $this->DataListStructure($res);
            
            foreach($data as $item)
            {
                $osPais = new Structure_Reunion;
                
                $osPais->IdReunion->SetValue($item["IdReunion"]);
                $osPais->Hash->SetValue($item["Hash"]);
                $osPais->Fecha->SetValue($item["Fecha"]);
                $osPais->HoraInicio->SetValue($item["HoraInicio"]);
                $osPais->HoraFin->SetValue($item["HoraFin"]);
                $osPais->Estado->SetValue($item["Estado"]);
                $osPais->IdIglesia->SetValue($item["IdIglesia"]);
                $osPais->IdTipoReunion->SetValue($item["IdTipoReunion"]);
                
                $listaP[] = $osPais;
            }
            
        }
        return $listaP;
    }
    
    function ListaCargored($_condicion="")
    {
        $newCondicion = ($_condicion=="") ? "" : $_condicion."";
        $sql = "Select * from cargo $newCondicion";
        $res = $this->Execute($sql);
        $listaP = array();
        
        if($this->ContainsData($res))
        {
            $data = $this->DataListStructure($res);
            
            foreach($data as $item)
            {
                $osPais = new Structure_Cargo;
                
                $osPais->IdCargo->SetValue($item["IdCargo"]);
                $osPais->Hash->SetValue($item["Hash"]);
                $osPais->Nombre->SetValue($item["Nombre"]);
                $osPais->Descripcion->SetValue($item["Descripcion"]);
                $osPais->estado->SetValue($item["estado"]);
                
                $listaP[] = $osPais;
            }
            
        }
        return $listaP;
    }
    
    
    
    function obtnerid($_oSt_Usuario)
    {
       $hash = $_oSt_Usuario->Hash->Valor;
        $sql = "Select IdCargo
                from cargo where Hash = '$hash' ";
        $res = $this->Execute($sql);
        
        $lista = -1;
        if ($this->ContainsData($res))
        {
            $datos = $this->DataListStructure($res);
                        
            foreach($datos as $usuario)
            {
                $lista    = $usuario["IdCargo"];
            }
        }
        
        return $lista;
    }
    
     function obtnernombre($idcargo)
    {
       //$hash = $_oSt_Usuario->Hash->Valor;
        $sql = "select Nombre from cargo where IdCargo= $idcargo ";
        $res = $this->Execute($sql);
        
        $lista = -1;
        if ($this->ContainsData($res))
        {
            $datos = $this->DataListStructure($res);
                        
            foreach($datos as $usuario)
            {
                $lista    = $usuario["Nombre"];
            }
        }
        
        return $lista;
    }
    
  
    function Guardar($_osPais)
    {
        $sql = "Insert into reunion values(
                ".$_osPais->IdReunion->getValue().",
                '".$_osPais->Hash->getValue()."',
                '".$_osPais->Fecha->getValue()."',
                '".$_osPais->HoraInicio->getValue()."',
                 '".$_osPais->HoraFin->getValue()."',
                  '".$_osPais->Estado->getValue()."',
                   '".$_osPais->IdIglesia->getValue()."',
                '".$_osPais->IdTipoReunion->getValue()."'
                )";
        $res = $this->Execute($sql);
        
        if($res)
        {
            $uid = mysql_insert_id();
            $hash = sha1($uid);
            $sql2 = "Update reunion set Hash = '$hash' where IdReunion = ".$uid;
            $res2 = $this->Execute($sql2);          
        }
        return $res;
    }
    
         function listareunion($_condicion="")
    {
        $newCondicion = ($_condicion=="") ? "" : $_condicion;
        $sql = "SELECT r.IdReunion as idreunion,r.Hash as hash ,tr.Nombre as nombre , 
        r.Fecha as fecha, r.HoraInicio as inicio, r.HoraFin as fin, r.Estado as estado 
        from reunion r join tiporeunion tr on r.IdTipoReunion= tr.IdTipoReunion $newCondicion order by fecha asc";
        $res = $this->Execute($sql);
        
        $listaP = array();
        
        while ($file = mysqli_fetch_array($res)){
        
        $idr = $file['idreunion'];
        $hash = $file['hash'];
        $n = $file['nombre'];
        $f = $file['fecha'];
        $hi = $file['inicio'];
        $hf = $file['fin'];
        $es = $file['estado'];
        
        $listaP[] = array("idreunion" => $idr, "hash" => $hash, "nombre" => $n, "fecha" => $f, "inicio" => $hi, "fin" => $hf, "estado" => $es );
            }
        return $listaP;
    }
    
    function Actualizar($_osPais)
    {
        $sql = "Update reunion set 
                Fecha = '".$_osPais->Fecha->GetValue()."',
                HoraInicio = '".$_osPais->HoraInicio->GetValue()."',
                IdTipoReunion = '".$_osPais->IdTipoReunion->GetValue()."',
                HoraFin = '".$_osPais->HoraFin->GetValue()."'
                where IdReunion = ".$_osPais->IdReunion->getValue();
        $res = $this->Execute($sql);
        return $sql;   
    }
    
        function Reunionbaja($idreunion, $estado)
    {
        $sql = "Update reunion set 
                estado = '".$estado."'
                where IdReunion = ".$idreunion;
        $res = $this->Execute($sql);
        return $sql;   
    }
    
    
    function Eliminar($_hash)
    {
        $sql = "Update reunion set Estado='0' where hash= '".$_hash."' ";
        $res = $this->Execute($sql);
        return $res;
    }
    
    
        function obtnerultimo()
    {
       
        $sql = "select max(IdCargo) as idcargo from cargo";
        $res = $this->Execute($sql);
        
        $lista = -1;
        if ($this->ContainsData($res))
        {
            $datos = $this->DataListStructure($res);
                        
            foreach($datos as $usuario)
            {
                $lista    = $usuario["idcargo"];
            }
        }
        
        return $lista;
    }
    
}



?>