<?php

/**
 * @author		Miguel Angel Macias Burgos
 * @company 	MDG
 * @copyright 	2018
 * @version     1.0
 */

class Util
{        
    function toISO($cadena){
        //convierte de UTF-8 a ISO-8859-1
        $cadena = mb_convert_encoding($cadena, "ISO-8859-1", "UTF-8");
        return $cadena;
    }
    
    function toUTF($cadena){
        //convierte de ISO-8859-1 a UTF-8
        $cadena = mb_convert_encoding($cadena, "UTF-8", "ISO-8859-1");
        return $cadena;
    }
    
    function hex2rgb($hex) {
       $hex = str_replace("#", "", $hex);
    
       if(strlen($hex) == 3) {
          $r = hexdec(substr($hex,0,1).substr($hex,0,1));
          $g = hexdec(substr($hex,1,1).substr($hex,1,1));
          $b = hexdec(substr($hex,2,1).substr($hex,2,1));
       } else {
          $r = hexdec(substr($hex,0,2));
          $g = hexdec(substr($hex,2,2));
          $b = hexdec(substr($hex,4,2));
       }
       $rgb = array($r, $g, $b);
       return $rgb;
    }
        
    function FormatDateInput($_date){
        $d = explode("/", $_date);
        
        return $d[2] . "-" . $d[1] . "-" . $d[0]; 
    }
    function FormatDateOutput($_date){
        $d = explode("-", $_date);
        
        return $d[2] . "/" . $d[1] . "/" . $d[0]; 
    }
    
    function FormatTimeInput($_time){
        $f = substr( $_time, strlen($_time) - 2, 2);
        $d = substr( $_time, 0, strlen($_time) - 3);
        $t = explode(":", $d);
        
        $h = ( $f == "PM" ) ? $t[0] + 12 : $t[0];
        $m = $t[1];
        $s = "00";
        
        return $h . ":" . $m . ":" . $s;
    }
    function FormatTimeOutput($_time){
        $t = explode(":", $_time);
        
        $h = $t[0] * 1;
        $m = $t[1];
        if ($h > 12){
            $h -= 12;
            return $h . ":" . $m . " PM"; 
        }else{
            return $h . ":" . $m . " AM";
        }        
    }
}

?>