<?php

/**
 * @author www.intercambiosvirtuales.org
 * @copyright 2017
 */
require_once("data/db.inc");
require_once("data/tipodelito.inc");
require_once("data/delincuente.inc");
require_once("data/ciudad.inc");
require_once("data/usuario.inc");
require_once("data/delitoscometidos.inc");

class delitoscometidos extends DataBase
{
    function __construct()
    {
        $this->Open();
        
    }
    
    function ListaDelitosCometidos()
    {
        $sql ="Select * from delitoscometidos as dc 
                inner join tipodelito as td on dc.idTipoDelito=td.idTipoDelito
                inner join delincuente as d  on dc.idDelincuente=d.idDelincuente
                inner join ciudad as c on dc.idCiudad=c.idCiudad
                inner join usuariointerno as ui on dc.idUsuario=ui.idUsuario";
                
         $res = $this->Execute($sql);
        $listaDC = array();
        
        if($this->ContainsData($res))
        {
            $data = $this->DataListStructure($res);
            
            foreach($data as $item)
            {
                $osDelitosCometidos = new Structure_delitoscometidos;
                
                $osDelitosCometidos->Tipodelito->nombreDelito->SetValue($item["nombreDelito"]);
                $osDelitosCometidos->Delincuente->nombreDelincuente->SetValue($item["nombre"]);
                $osDelitosCometidos->Ciudad->nombreCiudad->SetValue($item["nombreCiudad"]);
                $osDelitosCometidos->Usuario->nombreU->SetValue($item["nombreU"]);
                $osDelitosCometidos->fecha->SetValue($item["fecha"]);
                
                $listaDC[] = $osDelitosCometidos;
            }
            
         }
            return $listaDC;
    }
  
  
  
    
    
}

?>