<?php

/**
 * @author joker
 * @copyright 2018
 */

require_once("data/db.inc");
require_once("data/Bitacora.inc");

class Bitacora extends DataBase
{
    function __construct()
    {
        $this->Open();
    }
    
    function Lista($_condicion="")
    {
        $newCondicion = ($_condicion=="") ? "" : $_condicion."";
        $sql = "Select * from bitacora $newCondicion";
        $res = $this->Execute($sql);
        $listaP = array();
        
        if($this->ContainsData($res))
        {
            $data = $this->DataListStructure($res);
            
            foreach($data as $item)
            {
                $osPais = new Structure_Bitacora;
                
                $osPais->IdBitacora->SetValue($item["IdBitacora"]);
                $osPais->Operacion->SetValue($item["Hash"]);
                $osPais->Usuario->SetValue($item["Nombre"]);
                $osPais->Host->SetValue($item["Descripcion"]);
                $osPais->Fecha->SetValue($item["Cantidad"]);
                $osPais->Tabla->SetValue($item["Estado"]);
                
                $listaP[] = $osPais;
            }
            
        }
        return $listaP;
    }
    
    function ListaCargored($_condicion="")
    {
        $newCondicion = ($_condicion=="") ? "" : $_condicion."";
        $sql = "Select * from cargo $newCondicion";
        $res = $this->Execute($sql);
        $listaP = array();
        
        if($this->ContainsData($res))
        {
            $data = $this->DataListStructure($res);
            
            foreach($data as $item)
            {
                $osPais = new Structure_Cargo;
                
                $osPais->IdCargo->SetValue($item["IdCargo"]);
                $osPais->Hash->SetValue($item["Hash"]);
                $osPais->Nombre->SetValue($item["Nombre"]);
                $osPais->Descripcion->SetValue($item["Descripcion"]);
                $osPais->estado->SetValue($item["estado"]);
                
                $listaP[] = $osPais;
            }
            
        }
        return $listaP;
    }
    
    
    
    function obtnerid($_oSt_Usuario)
    {
       $hash = $_oSt_Usuario->Hash->Valor;
        $sql = "Select IdCargo
                from cargo where Hash = '$hash' ";
        $res = $this->Execute($sql);
        
        $lista = -1;
        if ($this->ContainsData($res))
        {
            $datos = $this->DataListStructure($res);
                        
            foreach($datos as $usuario)
            {
                $lista    = $usuario["IdCargo"];
            }
        }
        
        return $lista;
    }
    
     function obtnernombre($idcargo)
    {
       //$hash = $_oSt_Usuario->Hash->Valor;
        $sql = "select Nombre from cargo where IdCargo= $idcargo ";
        $res = $this->Execute($sql);
        
        $lista = -1;
        if ($this->ContainsData($res))
        {
            $datos = $this->DataListStructure($res);
                        
            foreach($datos as $usuario)
            {
                $lista    = $usuario["Nombre"];
            }
        }
        
        return $lista;
    }
    
  
    function Guardar($_osPais)
    {
        $sql = "Insert into bitacora values(
                ".$_osPais->IdBitacora->getValue().",
                '".$_osPais->Operacion->getValue()."',
                '".$_osPais->Usuario->getValue()."',
                SUBSTRING(USER(),(instr(user(),'@')+1)),
                NOW(),
                 '".$_osPais->Tabla->getValue()."'
                )";
        $res = $this->Execute($sql);
        
        
        return $res;
    }
    
    function Actualizarcargo($_osPais)
    {
        $sql = "Update cargo set 
                Nombre = '".$_osPais->Nombre->GetValue()."',
                Descripcion = '".$_osPais->Descripcion->GetValue()."',
                estado = '".$_osPais->estado->GetValue()."'
                where IdCargo = ".$_osPais->IdCargo->getValue();
        $res = $this->Execute($sql);
        return $sql;   
    }
    
    
    function EliminarCargo($_hash)
    {
        $sql = "Update cargo set estado='inactivo' where hash= '".$_hash."' ";
        $res = $this->Execute($sql);
        return $res;
    }
    
    
        function obtnerultimo()
    {
       
        $sql = "select max(IdCargo) as idcargo from cargo";
        $res = $this->Execute($sql);
        
        $lista = -1;
        if ($this->ContainsData($res))
        {
            $datos = $this->DataListStructure($res);
                        
            foreach($datos as $usuario)
            {
                $lista    = $usuario["idcargo"];
            }
        }
        
        return $lista;
    }
    
}



?>