<?php

/**
 * @author joker
 * @copyright 2018
 */

require_once("data/db.inc");
require_once("data/CargoMenu.inc");

class CargoMenu extends DataBase
{
    function __construct()
    {
        $this->Open();
    }
    
    function ListaCargoMenu($_condicion="")
    {
        $newCondicion = ($_condicion=="") ? "" : $_condicion;
        $sql = "Select * from menucargo $newCondicion";
        $res = $this->Execute($sql);
        $listaP = array();
        
        if($this->ContainsData($res))
        {
            $data = $this->DataListStructure($res);
            
            foreach($data as $item)
            {
                $osPais = new Structure_CargoMenu;
                
                $osPais->IdMenu->SetValue($item["IdMenu"]);
                $osPais->IdCargo->SetValue($item["IdCargo"]);
                $osPais->Estado->SetValue($item["Estado"]);
                
                $listaP[] = $osPais;
            }
            
        }
        return $listaP;
    }
    
    
    function ListaCargoPermiso2($_condicion="")
    {
        //$newCondicion = ($_condicion=="") ? "where estado='activo'" : $_condicion." and estado='activo'";
        $sql = "select c.Nombre, p.Nombre, cp.Estado from cargo c inner join cargopermiso cp on c.IdCargo= cp.IdCargo 
        inner join permiso p on p.IdPermiso= cp.IdPermiso   ";
        $res = $this->Execute($sql);
        $listaP = array();
        
        if($this->ContainsData($res))
        {
            $data = $this->DataListStructure($res);
            
            foreach($data as $item)
            {
                $osPais = new Structure_CargoPermiso;
                
                $osPais->IdCargo->SetValue($item["IdCargo"]);
                $osPais->IdPermiso->SetValue($item["IdPermiso"]);
                $osPais->Estado->SetValue($item["Estado"]);
                
                $listaP[] = $osPais;
            }
            
        }
        return $listaP;
    }
    
     function menucargopara($IdCargo)
    {
        //$newCondicion = ($_condicion=="") ? "" : $_condicion;
        $sql = "SELECT IdMenu, Estado FROM menucargo where IdCargo= $IdCargo ";
        $res = $this->Execute($sql);
        
        $listaP2 = array();
        
        while ($file = mysqli_fetch_array($res)){
        
        $nombre = $file['IdMenu'];
        $link = $file['Estado'];
        $listaP2[] = array("menu" => $nombre, "es" => $link);
            }
        return $listaP2;
    }
    
    
        function ListaCargoMenuestruc($IdCargo)
    {
        
        $sql = "SELECT * FROM menucargo where IdCargo= $IdCargo ";
        $res = $this->Execute($sql);
        $listaP = array();
        
        if($this->ContainsData($res))
        {
            $data = $this->DataListStructure($res);
            
            foreach($data as $item)
            {
                $osPais = new Structure_CargoMenu;
                
                $osPais->IdMenu->SetValue($item["IdMenu"]);
                $osPais->IdCargo->SetValue($item["IdCargo"]);
                $osPais->Estado->SetValue($item["Estado"]);
                
                $listaP[] = $osPais;
            }
            
        }
        return $listaP;
    }
    
    function Guardar($_osPais)
    {
        $sql = "Insert into menucargo values(
                ".$_osPais->IdMenu->getValue().",
                '".$_osPais->IdCargo->getValue()."',
                '".$_osPais->Estado->getValue()."'
                )";
        $res = $this->Execute($sql);
        
        return $res;
    }
    
    function ActualizarCargoMenu($_osPais)
    {
        $sql = "Update menucargo set 
                Estado = '".$_osPais->Estado->GetValue()."'
                where IdCargo = ".$_osPais->IdCargo->getValue()."
                and IdMenu = ".$_osPais->IdMenu->getValue();
        $res = $this->Execute($sql);
        return $sql;   
    }
    
    
    function EliminarPais($_hash)
    {
        $sql = "Update pais set estadoPais='Inactivo' where hash= '".$_hash."' ";
        $res = $this->Execute($sql);
        return $res;
    }
    
}



?>