<?php

/**
 * @author joker
 * @copyright 2018
 */

require_once("data/db.inc");
require_once("data/Maestro.inc");

class Maestro extends DataBase
{
    function __construct()
    {
        $this->Open();
    }
    
    function Lista($_condicion="")
    {
        $newCondicion = ($_condicion=="") ? "" : $_condicion;
        $sql = "Select * from maestro $newCondicion";
        $res = $this->Execute($sql);
        $listaP = array();
        
        if($this->ContainsData($res))
        {
            $data = $this->DataListStructure($res);
            
            foreach($data as $item)
            {
                $osPais = new Structure_Maestro;
                $osPais->IdMaestro->SetValue($item["IdMaestro"]);
                $osPais->Hash->SetValue($item["Hash"]);
                $osPais->IdPersonaMinisterio->SetValue($item["IdPersonaMinisterio"]);
                
                $osPais->IdEscuela->SetValue($item["IdEscuela"]);
                 $osPais->Cargo->SetValue($item["Cargo"]);
                
               
                $osPais->Estado->SetValue($item["Estado"]);
                
                $listaP[] = $osPais;
            }
            
        }
        return $listaP;
    }
    
    
    function ListaCargoPermiso2($_condicion="")
    {
        //$newCondicion = ($_condicion=="") ? "where estado='activo'" : $_condicion." and estado='activo'";
        $sql = "select c.Nombre, p.Nombre, cp.Estado from cargo c inner join cargopermiso cp on c.IdCargo= cp.IdCargo 
        inner join permiso p on p.IdPermiso= cp.IdPermiso   ";
        $res = $this->Execute($sql);
        $listaP = array();
        
        if($this->ContainsData($res))
        {
            $data = $this->DataListStructure($res);
            
            foreach($data as $item)
            {
                $osPais = new Structure_CargoPermiso;
                
                $osPais->IdCargo->SetValue($item["IdCargo"]);
                $osPais->IdPermiso->SetValue($item["IdPermiso"]);
                $osPais->Estado->SetValue($item["Estado"]);
                
                $listaP[] = $osPais;
            }
            
        }
        return $listaP;
    }
    
     function menucargopara($IdCargo)
    {
        //$newCondicion = ($_condicion=="") ? "" : $_condicion;
        $sql = "SELECT IdMenu, Estado FROM menucargo where IdCargo= $IdCargo ";
        $res = $this->Execute($sql);
        
        $listaP2 = array();
        
        while ($file = mysql_fetch_array($res)){
        
        $nombre = $file['IdMenu'];
        $link = $file['Estado'];
        $listaP2[] = array("menu" => $nombre, "es" => $link);
            }
        return $listaP2;
    }
    
    
        function ListaCargoMenuestruc($IdCargo)
    {
        
        $sql = "SELECT * FROM menucargo where IdCargo= $IdCargo ";
        $res = $this->Execute($sql);
        $listaP = array();
        
        if($this->ContainsData($res))
        {
            $data = $this->DataListStructure($res);
            
            foreach($data as $item)
            {
                $osPais = new Structure_CargoMenu;
                
                $osPais->IdMenu->SetValue($item["IdMenu"]);
                $osPais->IdCargo->SetValue($item["IdCargo"]);
                $osPais->Estado->SetValue($item["Estado"]);
                
                $listaP[] = $osPais;
            }
            
        }
        return $listaP;
    }
    
         function listamaestros( $dato , $min , $gestion)
    {
        //$newCondicion = ($_condicion=="") ? "" : $_condicion;
        $sql = "SELECT * FROM persona p join personaministerio pm on p.IdPersona = pm.Idpersona and pm.IdMinisterio= '$min'  and p.Nombre like '%$dato%' and YEAR(FechaIngreso) = $gestion  ";
        $res = $this->Execute($sql);
        
        $listaP = array();
        
        while ($file = mysqli_fetch_array($res)){
        
        $us = $file['IdPersona'];
        $pe = $file['Nombre'];
        $n = $file['ApellidoPaterno'];
        $ap = $file['ApellidoMaterno'];
        $ca = $file['Ci'];
        $pm = $file['IdPersonaMinisterio'];
        $listaP[] = array("idpersona" => $us, "nombre" => $pe, "app" => $n, "apm" => $ap , "ci" => $ca, "idpermin" => $pm);
            }
        return $listaP;
    }
    
function Save($_osUsuario){
        $sql = "Insert into maestro values(
            ". $_osUsuario->IdMaestro->GetValue() .",
            '". $_osUsuario->Hash->GetValue() ."',
            '". $_osUsuario->IdPersonaMinisterio->GetValue() ."',
            '". $_osUsuario->IdEscuela->GetValue()."',
            '". $_osUsuario->Cargo->GetValue()."',
            '".$_osUsuario->Estado->GetValue()."'
        )";
        $res = $this->ExecuteLink($sql);
        
        if ($res){
            $uid = mysqli_insert_id($res);
            $hash = sha1($uid);
            $sql2 = "Update maestro set Hash = '$hash' where IdMaestro = " . $uid;
            $res2 = $this->Execute($sql2);
        }
        
        return $res;
    }

    function verificarmaesescue($idper, $idesc)
    {
        
        // $sql2 =($_condicion=="")? "where estado='activo'":$_condicion."and estado='activo'";
       //  $sql2 =($_condicion=="")? "":$_condicion."";
        $sql = "SELECT * FROM maestro WHERE IdPersonaMinisterio = $idper and IdEscuela = $idesc ";
        $res = $this->Execute($sql);
        //$sql2 =($_condicion=="")? "where estado='Activo'":$_condicion."and estado='Activo'";
       
       // $res = $this->Execute($sql);
        
        $sw = $this->ContainsData($res);
        

        
        return $sw;
        
    }
    
    function ActualizarCargoMenu($_osPais)
    {
        $sql = "Update menucargo set 
                Estado = '".$_osPais->Estado->GetValue()."'
                where IdCargo = ".$_osPais->IdCargo->getValue()."
                and IdMenu = ".$_osPais->IdMenu->getValue();
        $res = $this->Execute($sql);
        return $sql;   
    }
    
    
    function EliminarPais($_hash)
    {
        $sql = "Update pais set estadoPais='Inactivo' where hash= '".$_hash."' ";
        $res = $this->Execute($sql);
        return $res;
    }
    
    
             function listamaestrosesc($nombreescuela)
    {
        //$newCondicion = ($_condicion=="") ? "" : $_condicion;
        $sql = "SELECT p.IdPersona as idpersona, p.Nombre as nombre, p.ApellidoPaterno as ap,
         p.ApellidoMaterno as am,pm.IdPersonaMinisterio as idpermin , pm.Cargo as mincargo, m.Cargo as esccargo
          FROM persona p join personaministerio pm on p.IdPersona = pm.IdPersona join maestro m on 
          pm.IdPersonaMinisterio = m.IdpersonaMinisterio join escuela e on m.IdEscuela = e.IdEscuela and e.Nombre = $nombreescuela ";
        $res = $this->Execute($sql);
        
        $listaP = array();
        
        while ($file = mysqli_fetch_array($res)){
        
        $idp = $file['idpersona'];
        $no = $file['nombre'];
        $ap = $file['ap'];
        $am = $file['am'];
        $idpm = $file['idpermin'];
        $carmin = $file['mincargo'];
        $caresc = $file['esccargo'];

        $listaP[] = array("idp" => $idp, "nombre" => $no, "app" => $ap, "apm" => $am , "idpm" => $idpm, "cargom" => $carmin, "cargoe" => $caresc);
            }
        return $listaP;
    }
    
}



?>