<?php

/**
 * @author joker
 * @copyright 2017
 */

require_once("data/db.inc");
require_once("data/Menu.inc");
require_once ("model/Util.php");


class Menu extends DataBase
{
    function __construct()
    {
        $this->Open();
        
    }
    
    function ListaMenu($_condicion="")
    {
        $newCondicion = ($_condicion=="") ? "" : $_condicion;
        $sql = "Select * from menu $newCondicion";
        $res = $this->Execute($sql);
        $listaP = array();
        
        if($this->ContainsData($res))
        {
            $data = $this->DataListStructure($res);
            
            foreach($data as $item)
            {
                $osPais = new Structure_Menu;
                
                $osPais->IdMenu->SetValue($item["IdMenu"]);
                $osPais->Nombre->SetValue($item["Nombre"]);
                $osPais->Link->SetValue($item["Link"]);
                $osPais->Icono->SetValue($item["Icono"]);
                
                $listaP[] = $osPais;
            }
            
        }
        return $listaP;
    }
    
    function lmenuloco($_condicion="")
    {
        //$newCondicion = ($_condicion=="") ? "" : $_condicion;
        $sql = "Select * from menu ";
        $res = $this->Execute($sql);
        
        $listaP = array();
        
        while ($file = mysql_fetch_array($res)){
        
        $nombre = $file['Nombre'];
        $link = $file['Link'];
        $listaP[] = array("text" => $nombre, "link" => $link);
            }
        return $listaP;
    }
    
        function lmenuloco2($_condicion="")
    {
        //$newCondicion = ($_condicion=="") ? "" : $_condicion;
        $sql = "SELECT m.Nombre, m.Link from menu m join menucargo mc on mc.IdMenu= m.IdMenu join cargo c on c.IdCargo = mc.IdCargo where mc.Estado = 1 ";
        $res = $this->Execute($sql);
        
        $listaP = array();
        
        while ($file = mysql_fetch_array($res)){
        
        $nombre = $file['Nombre'];
        $link = $file['Link'];
        $listaP[] = array("text" => $nombre, "link" => $link);
            }
        return $listaP;
    }
    
    
     function menucargo($car)
    {
        //$newCondicion = ($_condicion=="") ? "" : $_condicion;
        $sql = "SELECT mc.IdMenu as Menu, mc.IdCargo as Cargo, mc.Estado as Estado, m.IdMenu as Menur, m.Nombre as Nombre FROM menucargo mc join menu m on mc.IdMenu = m.IdMenu and mc.IdCargo= $car ";
        $res = $this->Execute($sql);
        
        $listaP = array();
        
        while ($file = mysqli_fetch_array($res)){
        
        $idmenu = $file['Menu'];
        $idcargo = $file['Cargo'];
        $estado = $file['Estado'];
        $nombrem = $file['Nombre'];
        $listaP[] = array("IdMenu" => $idmenu, "IdCargo" => $idcargo, "Estado" => $estado, "Nombre" => $nombrem);
            }
        return $listaP;
    }
    
     function menucargoparametro($IdCargo)
    {
        $oUtil = new Util;
        //$newCondicion = ($_condicion=="") ? "" : $_condicion;
        $sql = "SELECT m.Nombre, m.Link, m.Icono from menu m join menucargo mc on mc.IdMenu= m.IdMenu join cargo c on c.IdCargo = mc.IdCargo where mc.Estado = 1 and c.IdCargo= $IdCargo ";
        $res = $this->Execute($sql);
        
        $listaP = array();
        
        while ($file = mysqli_fetch_array($res)){
        
        $nombre = $oUtil->toUTF($file['Nombre']);
        $link = $file['Link'];
        $icono = $file['Icono'];
        $listaP[] = array("text" => $nombre, "link" => $link, "icono" => $icono);
            }
        return $listaP;
    }
    
    
    
    
        function menucantidad($_condicion="")
    {
        //$newCondicion = ($_condicion=="") ? "" : $_condicion;
        $sql = "Select * from menu ";
        $res = $this->Execute($sql);
        $can = mysql_num_rows($res);
        return $can;
    }
    
    
    function ListaMenu2($_condicion="")
    {
        $newCondicion = ($_condicion=="") ? "" : $_condicion;
        $sql = "Select * from menu $newCondicion";
        $res = $this->Execute($sql);
        $listaP = array();
        
        if($this->ContainsData($res))
        {
            $data = $this->DataListStructure($res);
            
            foreach($data as $item)
            {
                
                
              
               $lo= $item["Nombre"];
            
                
                $listaP[] = $lo;
            }
            
        }
        return $listaP;
    }
    
    
    function obtnerid($_oSt_Usuario)
    {
       $hash = $_oSt_Usuario->Hash->Valor;
        $sql = "Select IdCargo
                from cargo where Hash = '$hash' ";
        $res = $this->Execute($sql);
        
        $lista = -1;
        if ($this->ContainsData($res))
        {
            $datos = $this->DataListStructure($res);
                        
            foreach($datos as $usuario)
            {
                $lista    = $usuario["IdCargo"];
            }
        }
        
        return $lista;
    }
    
  
    function GuardarPais($_osPais)
    {
        $sql = "Insert into cargo values(
                ".$_osPais->IdCargo->getValue().",
                '".$_osPais->Hash->getValue()."',
                '".$_osPais->Nombre->getValue()."',
                '".$_osPais->Descripcion->getValue()."'
                '".$_osPais->estado->getValue()."'
                )";
        $res = $this->Execute($sql);
        
        if($res)
        {
            $uid = mysql_insert_id();
            $hash = sha1($uid);
            $sql2 = "Update cargo set Hash = '$hash' where IdCargo = ".$uid;
            $res2 = $this->Execute($sql2);          
        }
        return $res;
    }
    
    function ActualizarPais($_osPais)
    {
        $sql = "Update pais set 
                nombrePais = '".$_osPais->nombrePais->GetValue()."'
                where idPais = ".$_osPais->idPais->getValue();
        $res = $this->Execute($sql);
        return $sql;   
    }
    
    
    function EliminarPais($_hash)
    {
        $sql = "Update pais set estadoPais='Inactivo' where hash= '".$_hash."' ";
        $res = $this->Execute($sql);
        return $res;
    }
    
}



?>