<?php

/**
 * @author joker
 * @copyright 2018
 */

require_once("data/db.inc");
require_once("data/Ministerio.inc");

class Ministerio extends DataBase
{
    function __construct()
    {
        $this->Open();
    }
    
    function Lista($_condicion="")
    {
        $newCondicion = ($_condicion=="") ? "" : $_condicion."";
        $sql = "Select * from ministerio $newCondicion";
        $res = $this->Execute($sql);
        $listaP = array();
        
        if($this->ContainsData($res))
        {
            $data = $this->DataListStructure($res);
            
            foreach($data as $item)
            {
                $osPais = new Structure_Ministerio;
                
                $osPais->IdMinisterio->SetValue($item["IdMinisterio"]);
                $osPais->Hash->SetValue($item["Hash"]);
                $osPais->Nombre->SetValue($item["Nombre"]);
                $osPais->Descripcion->SetValue($item["Descripcion"]);
                $osPais->Estado->SetValue($item["Estado"]);
                
                $listaP[] = $osPais;
            }
            
        }
        return $listaP;
    }
    
    function ListaCargored($_condicion="")
    {
        $newCondicion = ($_condicion=="") ? "" : $_condicion."";
        $sql = "Select * from cargo $newCondicion";
        $res = $this->Execute($sql);
        $listaP = array();
        
        if($this->ContainsData($res))
        {
            $data = $this->DataListStructure($res);
            
            foreach($data as $item)
            {
                $osPais = new Structure_Cargo;
                
                $osPais->IdCargo->SetValue($item["IdCargo"]);
                $osPais->Hash->SetValue($item["Hash"]);
                $osPais->Nombre->SetValue($item["Nombre"]);
                $osPais->Descripcion->SetValue($item["Descripcion"]);
                $osPais->estado->SetValue($item["estado"]);
                
                $listaP[] = $osPais;
            }
            
        }
        return $listaP;
    }
    
        function verificarnombre($_condicion="")
    {
        
        // $sql2 =($_condicion=="")? "where estado='activo'":$_condicion."and estado='activo'";
         $sql2 =($_condicion=="")? "":$_condicion."";
        $sql = "Select *from ministerio $sql2";
        $res = $this->Execute($sql);
        //$sql2 =($_condicion=="")? "where estado='Activo'":$_condicion."and estado='Activo'";
       
       // $res = $this->Execute($sql);
        
        $sw = $this->ContainsData($res);
        

        
        return $sw;
        
    }
     function MinisterioId($IdEsc)
    {
       
        $sql = "SELECT * FROM ministerio m join personaministerio pm on m.IdMinisterio = pm.IdMinisterio join maestro ma on pm.IdPersonaMinisterio = ma.IdPersonaMinisterio join Escuela es on es.IdEscuela= $IdEsc ";
        $res = $this->Execute($sql);
        $listaP = array();
        
        if($this->ContainsData($res))
        {
            $data = $this->DataListStructure($res);
            
            foreach($data as $item)
            {
                $osPais = new Structure_Ministerio;
                
                $osPais->IdMinisterio->SetValue($item["IdMinisterio"]);
                $osPais->Hash->SetValue($item["Hash"]);
                $osPais->Nombre->SetValue($item["Nombre"]);
                $osPais->Descripcion->SetValue($item["Descripcion"]);
                $osPais->Estado->SetValue($item["Estado"]);
                
                $listaP[] = $osPais;
            }
            
        }
        return $listaP;
    }
    
    
    
    
    
    function MinisterioEncargado($idp , $y)
    {
        //$newCondicion = ($_condicion=="") ? "" : $_condicion."";
        $sql = "SELECT * FROM ministerio m join encargadoministerio em on m.Idministerio = em.IdMinisterio and em.IdPersona = $idp and year(FechaIngreso)= $y ";
        $res = $this->Execute($sql);
        $listaP = array();
        
        if($this->ContainsData($res))
        {
            $data = $this->DataListStructure($res);
            
            foreach($data as $item)
            {
                $osPais = new Structure_Ministerio;
                
                $osPais->IdMinisterio->SetValue($item["IdMinisterio"]);
                $osPais->Hash->SetValue($item["Hash"]);
                $osPais->Nombre->SetValue($item["Nombre"]);
                $osPais->Descripcion->SetValue($item["Descripcion"]);
                $osPais->Estado->SetValue($item["Estado"]);
                
                $listaP[] = $osPais;
            }
            
        }
        return $listaP;
    }
    
    function obtnerid($_oSt_Usuario)
    {
       $hash = $_oSt_Usuario->Hash->Valor;
        $sql = "Select IdCargo
                from cargo where Hash = '$hash' ";
        $res = $this->Execute($sql);
        
        $lista = -1;
        if ($this->ContainsData($res))
        {
            $datos = $this->DataListStructure($res);
                        
            foreach($datos as $usuario)
            {
                $lista    = $usuario["IdCargo"];
            }
        }
        
        return $lista;
    }
    
     function obtnernombre($idcargo)
    {
       //$hash = $_oSt_Usuario->Hash->Valor;
        $sql = "select Nombre from cargo where IdCargo= $idcargo ";
        $res = $this->Execute($sql);
        
        $lista = -1;
        if ($this->ContainsData($res))
        {
            $datos = $this->DataListStructure($res);
                        
            foreach($datos as $usuario)
            {
                $lista    = $usuario["Nombre"];
            }
        }
        
        return $lista;
    }
    
  
    function Guardar($_osPais)
    {
        $sql = "Insert into ministerio values(
                ".$_osPais->IdMinisterio->getValue().",
                '".$_osPais->Hash->getValue()."',
                '".$_osPais->Nombre->getValue()."',
                '".$_osPais->Descripcion->getValue()."',
                '".$_osPais->Estado->getValue()."'
                )";
        $res = $this->Execute($sql);
        
        if($res)
        {
            $uid = mysql_insert_id();
            $hash = sha1($uid);
            $sql2 = "Update ministerio set Hash = '$hash' where IdMinisterio = ".$uid;
            $res2 = $this->Execute($sql2);          
        }
        return $res;
    }
    
    function Actualizar($_osPais)
    {
        $sql = "Update ministerio set 
                Nombre = '".$_osPais->Nombre->GetValue()."',
                Descripcion = '".$_osPais->Descripcion->GetValue()."'
                where IdMinisterio = ".$_osPais->IdMinisterio->getValue();
        $res = $this->Execute($sql);
        return $sql;   
    }
    
    
     function personaministeriolist($idpersona)
    {
        //$newCondicion = ($_condicion=="") ? "" : $_condicion;
        $sql = "SELECT m.Nombre as ministerio, pm.cargo as carmin,pm.FechaIngreso as gestion 
        FROM ministerio m join personaministerio pm on pm.IdMinisterio = m.IdMinisterio join 
        persona p on pm.Idpersona = p.IdPersona and p.IdPersona = $idpersona   ";
        $res = $this->Execute($sql);
        
        $listaP = array();
        
        while ($file = mysqli_fetch_array($res)){
        
        $us = $file['ministerio'];
        $pe = $file['carmin'];
        $n = $file['gestion'];
     
        $listaP[] = array("ministerio" => $us, "carmin" => $pe, "gestion" => $n );
            }
        return $listaP;
    }
    
    function encargadoministeriolist($idpersona)
    {
        //$newCondicion = ($_condicion=="") ? "" : $_condicion;
        $sql = "SELECT m.Nombre as minis, em.Gestion as ges FROM ministerio m join encargadoministerio em 
        on m.IdMinisterio = em.IdMinisterio join persona p on p.IdPersona = em.IdPersona and p.IdPersona = $idpersona";
        $res = $this->Execute($sql);
        
        $listaP = array();
        
        while ($file = mysqli_fetch_array($res)){
        
        $min = $file['minis'];
        $ges = $file['ges'];
     
        $listaP[] = array("ministerioen" => $min, "gestionen" => $ges );
            }
        return $listaP;
    }
    
    function reportetotalpermin()
    {
        //$newCondicion = ($_condicion=="") ? "" : $_condicion;
        $sql = "SELECT m.nombre, m.descripcion, count(pm.Idpersona) as integrantes 
        FROM ministerio m join personaministerio pm on m.idministerio = pm.Idministerio group by m.nombre ";
        $res = $this->Execute($sql);
        
        $listaP = array();
        
        while ($file = mysql_fetch_array($res)){
        
        $min = $file['nombre'];
        $des = $file['descripcion'];
        $total = $file['integrantes'];
     
        $listaP[] = array("ministerio" => $min, "descripcion" => $des , "integrantes" => $total );
            }
        return $listaP;
    }
    
    
    function Eliminar($_hash)
    {
        $sql = "Update ministerio set Estado='2' where hash= '".$_hash."' ";
        $res = $this->Execute($sql);
        return $res;
    }
    
    
        function obtnerultimo()
    {
       
        $sql = "select max(IdCargo) as idcargo from cargo";
        $res = $this->Execute($sql);
        
        $lista = -1;
        if ($this->ContainsData($res))
        {
            $datos = $this->DataListStructure($res);
                        
            foreach($datos as $usuario)
            {
                $lista    = $usuario["idcargo"];
            }
        }
        
        return $lista;
    }
    
}



?>