<?php

/**
 * @author joker
 * @copyright 2018
 */

require_once("data/db.inc");
require_once("data/Deuda.inc");

class Deuda extends DataBase
{
    function __construct()
    {
        $this->Open();
    }
    
    function Lista($_condicion="")
    {
        $newCondicion = ($_condicion=="") ? "" : $_condicion."";
        $sql = "Select * from deuda $newCondicion";
        $res = $this->Execute($sql);
        $listaP = array();
        
        if($this->ContainsData($res))
        {
            $data = $this->DataListStructure($res);
            
            foreach($data as $item)
            {
                $osPais = new Structure_Deuda;
                
                $osPais->IdDeuda->SetValue($item["IdDeuda"]);
                $osPais->Hash->SetValue($item["Hash"]);
                $osPais->Nombre->SetValue($item["Nombre"]);
                 $osPais->Costo->SetValue($item["Costo"]);
                $osPais->FechaInicio->SetValue($item["FechaInicio"]);
                $osPais->FechaFin->SetValue($item["FechaFin"]);
                $osPais->IdTipoDeuda->SetValue($item["IdTipoDeuda"]);
                $osPais->IdEscuela->SetValue($item["IdEscuela"]);
                $osPais->Estado->SetValue($item["Estado"]);
                
                $listaP[] = $osPais;
            }
            
        }
        return $listaP;
    }
    
    function ListadeudasEst($idest , $idesc)
    {
        
        
        
        
      //  $sql = "SELECT * FROM deuda where IdDeuda not in (Select IdDeuda from pagodeuda where IdPersonaEscuela = $idest)";
        
        $sql = "SELECT * FROM deuda where IdEscuela = $idesc and IdDeuda not in (Select IdDeuda from pagodeuda where IdPersonaEscuela = $idest)";
        
        
        $res = $this->Execute($sql);
        //$sql2 =($_condicion=="")? "where estado='Activo'":$_condicion."and estado='Activo'";
       
        $res = $this->Execute($sql);
        
        $lista = array();
        
        if ($this->ContainsData($res)){
             
             $data = $this->DataListStructure($res);
             
             foreach($data as $item){
                $_osUsuario = new Structure_Deuda;
                
                $_osUsuario->IdDeuda->SetValue($item["IdDeuda"]);
                $_osUsuario->Hash->SetValue($item["Hash"]);
                $_osUsuario->Nombre->SetValue($item["Nombre"]);
                 $_osUsuario->Costo->SetValue($item["Costo"]);
                $_osUsuario->FechaInicio->SetValue($item["FechaInicio"]);
                $_osUsuario->FechaFin->SetValue($item["FechaFin"]);
                $_osUsuario->IdTipoDeuda->SetValue($item["IdTipoDeuda"]);
                $_osUsuario->IdEscuela->SetValue($item["IdEscuela"]);
                $_osUsuario->Estado->SetValue($item["Estado"]);
                                
                $lista[] = $_osUsuario;
             }
        }
        
        return $lista;
        
    }
    
    function ListaCargored($_condicion="")
    {
        $newCondicion = ($_condicion=="") ? "" : $_condicion."";
        $sql = "Select * from cargo $newCondicion";
        $res = $this->Execute($sql);
        $listaP = array();
        
        if($this->ContainsData($res))
        {
            $data = $this->DataListStructure($res);
            
            foreach($data as $item)
            {
                $osPais = new Structure_Cargo;
                
                $osPais->IdCargo->SetValue($item["IdCargo"]);
                $osPais->Hash->SetValue($item["Hash"]);
                $osPais->Nombre->SetValue($item["Nombre"]);
                $osPais->Descripcion->SetValue($item["Descripcion"]);
                $osPais->estado->SetValue($item["estado"]);
                
                $listaP[] = $osPais;
            }
            
        }
        return $listaP;
    }
    
    
    
    function obtnerid($_oSt_Usuario)
    {
       $hash = $_oSt_Usuario->Hash->Valor;
        $sql = "Select IdCargo
                from cargo where Hash = '$hash' ";
        $res = $this->Execute($sql);
        
        $lista = -1;
        if ($this->ContainsData($res))
        {
            $datos = $this->DataListStructure($res);
                        
            foreach($datos as $usuario)
            {
                $lista    = $usuario["IdCargo"];
            }
        }
        
        return $lista;
    }
    
     function obtnernombre($idcargo)
    {
       //$hash = $_oSt_Usuario->Hash->Valor;
        $sql = "select Nombre from cargo where IdCargo= $idcargo ";
        $res = $this->Execute($sql);
        
        $lista = -1;
        if ($this->ContainsData($res))
        {
            $datos = $this->DataListStructure($res);
                        
            foreach($datos as $usuario)
            {
                $lista    = $usuario["Nombre"];
            }
        }
        
        return $lista;
    }
    
  
    function Guardar($_osPais)
    {
        $sql = "Insert into deuda values(
                ".$_osPais->IdDeuda->getValue().",
                '".$_osPais->Hash->getValue()."',
                '".$_osPais->Nombre->getValue()."',
                '".$_osPais->Costo->getValue()."',
                '".$_osPais->FechaInicio->getValue()."',
                '".$_osPais->FechaFin->getValue()."',
                
                '".$_osPais->IdTipoDeuda->getValue()."',
                '".$_osPais->IdEscuela->getValue()."',
                '".$_osPais->Estado->getValue()."'
                )";
        $res = $this->Execute($sql);
        
        if($res)
        {
            $uid = mysql_insert_id();
            $hash = sha1($uid);
            $sql2 = "Update deuda set Hash = '$hash' where IdDeuda = ".$uid;
            $res2 = $this->Execute($sql2);          
        }
        return $res;
    }
    
    function ActualizarRetiro($_osPais)
    {
        $sql = "Update retiro set 
                Nombre = '".$_osPais->Nombre->GetValue()."',
                Lugar = '".$_osPais->Lugar->GetValue()."',
                FechaInicio = '".$_osPais->FechaInicio->GetValue()."',
                FechaFin = '".$_osPais->FechaFin->GetValue()."',
                Costo = '".$_osPais->Costo->GetValue()."',
                Encargado = '".$_osPais->Encargado->GetValue()."',
                TipoRetiro = '".$_osPais->TipoRetiro->GetValue()."'
                where IdRetiro = ".$_osPais->IdRetiro->getValue();
        $res = $this->Execute($sql);
        return $sql;   
    }
    
    
    function Eliminar($_hash)
    {
        $sql = "Update retiro set Estado='2' where hash= '".$_hash."' ";
        $res = $this->Execute($sql);
        return $res;
    }
    
       function personaretirolistpersona($idpersona)
    {
        //$newCondicion = ($_condicion=="") ? "" : $_condicion;
        $sql = "SELECT r.Nombre as retiro, r.FechaInicio as fecha FROM retiro r join personaretiro 
        pr on r.IdRetiro = pr.IdRetiro join persona p on p.IdPersona = pr.IdPersona and p.IdPersona =  $idpersona   ";
        $res = $this->Execute($sql);
        
        $listaP = array();
        
        while ($file = mysql_fetch_array($res)){
        
        $us = $file['retiro'];
        $pe = $file['fecha'];
     
     
        $listaP[] = array("retiro" => $us, "fecha" => $pe);
            }
        return $listaP;
    }
    
    
        function obtnerultimo()
    {
       
        $sql = "select max(IdCargo) as idcargo from cargo";
        $res = $this->Execute($sql);
        
        $lista = -1;
        if ($this->ContainsData($res))
        {
            $datos = $this->DataListStructure($res);
                        
            foreach($datos as $usuario)
            {
                $lista    = $usuario["idcargo"];
            }
        }
        
        return $lista;
    }
    
}



?>