<?php

/**
 * @author www.intercambiosvirtuales.org
 * @copyright 2017
 */

require_once("data/db.inc");
require_once("data/delincuente.inc");

class delincuente extends DataBase
{
    function __construct()
    {
        $this->Open();
    }
    
    function ListaDelincuente($_condicion="")
    {
        $newCondicion = ($_condicion=="") ? "where idEstado=1" : $_condicion." and idEstado=1";
        $sql = "Select * from delincuente  as d
                inner join pais as p
                on d.idpais=p.idpais 
                $newCondicion";
        $res = $this->Execute($sql);
        $listaD = array();
        
        if($this->ContainsData($res))
        {
            $data = $this->DataListStructure($res);
            
            foreach($data as $item)
            {
                $osDelincuente = new Structure_delincuente;
                
                $osDelincuente->idDelincuente->SetValue($item["idDelincuente"]);
                $osDelincuente->hash->SetValue($item["hashD"]);
                $osDelincuente->nombreDelincuente->SetValue($item["nombre"]);
                $osDelincuente->app->SetValue($item["app"]);
                $osDelincuente->apm->SetValue($item["apm"]);
                $osDelincuente->genero->SetValue($item["genero"]);
                $osDelincuente->ci->SetValue($item["ci"]);
                $osDelincuente->foto->SetValue($item["foto"]);
                $osDelincuente->fecha->SetValue($item["fecha"]);
                $osDelincuente->hora->SetValue($item["hora"]);
                $osDelincuente->estadoDelincuente->SetValue($item["estadoDelincuente"]);
                $osDelincuente->idUsuario->SetValue($item["idUsuario"]);
                $osDelincuente->idPais->SetValue($item["idPais"]);
                
                $osDelincuente->Pais->nombrePais->SetValue($item["nombrePais"]);
                
                $listaD[] = $osDelincuente;
            }
      
        }
        return $listaD;
        
    }
    
    function GuardarDelincuente($_osDelincuente)
    {
        $sql = "Insert into delincuente values(
                ".$_osDelincuente->idDelincuente->GetValue().",
                '".$_osDelincuente->hash->GetValue()."',
                '".$_osDelincuente->nombreDelincuente->GetValue()."',
                '".$_osDelincuente->app->GetValue()."',
                '".$_osDelincuente->apm->GetValue()."',
                '".$_osDelincuente->genero->GetValue()."',
                '".$_osDelincuente->ci->GetValue()."',
                '".$_osDelincuente->foto->GetValue()."',
                '".$_osDelincuente->fecha->GetValue()."',
                '".$_osDelincuente->hora->GetValue()."',
                '".$_osDelincuente->estadoDelincuente->GetValue()."',
                ".$_osDelincuente->idUsuario->GetValue().",
                ".$_osDelincuente->idPais->GetValue().",
                ".$_osDelincuente->idEstado->GetValue()."
                )";
        $res = $this->Execute($sql);
        
        if($res)
        {
            $uid = mysql_insert_id();
            $hash = sha1($uid);
            $sql2 = "Update delincuente set hashD = '$hash' where idDelincuente = ".$uid;
            $res2 = $this->Execute($sql2);
        }
        return $res;
    }
    
    function ActualizarDelincuente($_osDelincuente)
    {
        $sql="Update delincuente set
        nombre = '".$_osDelincuente->nombreDelincuente->GetValue()."',
        app = '".$_osDelincuente->app->GetValue()."',
        apm = '".$_osDelincuente->apm->GetValue()."',
        genero = '".$_osDelincuente->genero->GetValue()."',
        ci = '".$_osDelincuente->ci->GetValue()."',
        foto = '".$_osDelincuente->foto->GetValue()."',
        fecha = '".$_osDelincuente->fecha->GetValue()."',
        hora = '".$_osDelincuente->hora->GetValue()."',
        estadoDelincuente= '".$_osDelincuente->estadoDelincuente->GetValue()."',
        idUsuario = ".$_osDelincuente->idUsuario->GetValue().",
        idPais = ".$_osDelincuente->idPais->GetValue()."
        where idDelincuente = ".$_osDelincuente->idDelincuente->GetValue();
        
        $res = $this->Execute($sql);
        return $res;
    }
    
    function EliminarDelincuente($_hash)
    {
        $sql = "Update delincuente set idEstado=2 where hashD='".$_hash."' ";
        $res = $this->Execute($sql);
        return $res;
    }
    
    
    
    
    
}

?>