<?php

/**
 * @author joker
 * @copyright 2018
 */

class Page
{
    private $title;
    private $content;
    private $css;
    private $js;
    private $menu;
    
    function SetTitle($_title){
        $this->title = $_title;    
    }
    function SetContent($_content){
        $this->content = $_content;
    }
    function SetCss($_css){
        foreach($_css as $item){
            $this->css .= "
            <link rel='stylesheet' href='view/css/". $item .".css' />";
        }
    }
    function SetJs($_js){
        foreach($_js as $item){
            $this->js .= "
            <script src='view/plugin/". $item .".js'></script>";
        }
    }
    
    function GetTitle(){
        return $this->title;    
    }
    function GetContent(){
        return $this->content;
    }
    function GetCss(){
        return $this->css;
    }
    function GetJs(){
        return $this->js;
    }
    
    function SetMenu($_option = ""){
        $listaItems = array(
            array("text" => "Principal", "link" => "?mnu=home"),
        //    array("text" => "Pais", "link" => "?mnu=pais"),
         //   array("text" => "Delincuente", "link" => "?mnu=delincuente"),
           // array("text" => "Policia Externa", "link" => "?mnu=policiaexterna"),
           // array("text" => "Usuario Externo", "link" => "?mnu=usuarioexterno"),
           // array("text" => "Delitos", "link" => "?mnu=delito"),
            array("text" => "Personas", "link" => "?mnu=persona"),
           //  array("text" => "Usuarios", "link" => "?mnu=usuario"),
           //   array("text" => "Cargos", "link" => "?mnu=cargo"),
           // array("text" => "Ciudad", "link" => "?mnu=ciudad"),
        //    array("text" => "Delitos Cometidos", "link" => "?mnu=delitoscometidos")
           
        );
        
        $this->menu = "<div class='menu'>";
        $i = 0;
        foreach($listaItems as $item){
            $i++;
            
            $class = ( ($i == 1 and $_option == "") or $item["text"] == $_option) ? "item-selected" : "item";
             
            $this->menu .= "<a href='". $item["link"] ."'><div class='$class'>". $item["text"] ."</div></a>";
        }
        $this->menu .= "</div>";
    }
    
    function GetMenu(){
        return $this->menu;
    }
    
    function Show(){
        $page = "<html>        
        <head>
            <meta http-equiv='content-type' content='text/html' charset='utf-8' />
            <title>". $this->GetTitle() ."</title>
            ". $this->GetCss() ."
            ". $this->GetJs() ."
        </head>
        <body>
            <div class='bar-header'>
        
            </div>
            <div class='ctn-main'>
                <div class='schema'>
                    <div class='ctn-menu'>
                        ". $this->GetMenu() ."
                    </div>
                    <div class='ctn-work'>
                        ". $this->GetContent() ."
                    </div>
                </div>                
            </div>
            
        </body>
        </html>";
        echo $page;
    }
}

?>