<?php

/**
 * @author    joker
 * @copyright 2018
 */

require_once("model/Cargo.cls");
require_once("model/data/Cargo.inc");
require_once("model/Menu.cls");
require_once("model/CargoMenu.cls");
require_once("model/CargoPermiso.cls");
require_once("model/Permiso.cls");
require_once("model/Insumo.cls");
require_once("model/AlmacenInsumo.cls");
require_once("model/data/Transaction.inc");
require_once("model/Kardex.cls");
require_once("model/DetalleKardex.cls");


$oInsumo = new Insumo;
$os_Insumo = new Structure_Insumo;

$oAlmacenInsumo = new AlmacenInsumo;
$os_AlmacenInsumo = new Structure_AlmacenInsumo;

$oCargomenu = new CargoMenu;
$os_Cargomenu = new Structure_CargoMenu;

$oCargopermiso = new CargoPermiso;
$os_Cargopermiso = new Structure_CargoPermiso;

$oKardex = new Kardex;
$os_Kardex = new Structure_Kardex;

$oDetalleKardex = new DetalleKardex;
$os_DetalleKardex = new Structure_DetalleKardex;

$fecha = date("Y-m-d");

$sw= false;
$swkar= false;
$swdeka= false;
$oTransaction = new Transaction;

$oTransaction->StartTransaction();

$os_Insumo->IdInsumo->SetValue(0);
$os_Insumo->Hash->SetValue("");
$os_Insumo->Nombre->SetValue($_POST["nombre"]);
$os_Insumo->Descripcion->SetValue($_POST["descripcion"]);
$os_Insumo->Cantidad->SetValue($_POST["cantidad"]);
$os_Insumo->Estado->SetValue(1);
$os_Insumo->IdTipoInsumo->SetValue($_POST["tipoinsumo"]);

$res = $oInsumo->Guardar($os_Insumo);
$idinsu = $res;

if ($res>0){
    $sw=true;
    $os_AlmacenInsumo->IdAlmacen->SetValue($_POST["almacen"]);
    $os_AlmacenInsumo->IdInsumo->SetValue($res);
    $os_AlmacenInsumo->Tag->SetValue($_POST["tag"]);
    $os_AlmacenInsumo->Estado->SetValue(1);
    
    $res2= $oAlmacenInsumo->Guardar($os_AlmacenInsumo);
    if($sw==true and $res2){ //kardex
        $swkar = true;
            $os_Kardex->IdKardex->SetValue(0);
            $os_Kardex->IdInsumo->SetValue($idinsu);
            $os_Kardex->Estado->SetValue(1);
            
            $res3= $oKardex->Guardar($os_Kardex);
            if($swkar == true and $res3){ //detallekardex
                $swdeka=true;
                    $os_DetalleKardex->IdDetalleKardex->SetValue(0);
                    $os_DetalleKardex->Fecha->SetValue($fecha);
                    $os_DetalleKardex->Detalle->SetValue("Ingreso a almacen");
                    $os_DetalleKardex->Ingreso->SetValue($_POST["cantidad"]);
                    $os_DetalleKardex->Egreso->SetValue(0);
                    $os_DetalleKardex->Saldo->SetValue($_POST["cantidad"]);
                    $os_DetalleKardex->IdKardex->SetValue($res3);
                    $os_DetalleKardex->Estado->SetValue(1);
                    
                    $res4= $oDetalleKardex->Guardar($os_DetalleKardex);
                    if($swdeka == true and $res4){
                            $oTransaction->Commit();
                            $_SESSION["type"] = "ok";
                            $_SESSION["msg"] = "El registro se guard&oacute; correctamente!"; 
                    }
                    
                
            }
        
        
        
    }else{
        $oTransaction->Rollback();
         $_SESSION["type"] = "err";
         $_SESSION["msg"] = "No se pudo guardar el registro. Por favor, intente nuevamente!";
    }

    }

header("location:?mnu=insumo&action=list");
?>