<?php

/**
 * @author joker
 * @copyright 2018
 */

require_once("data/db.inc");
require_once("data/CargoPersona.inc");

class CargoPersona extends DataBase
{
    function __construct()
    {
        $this->Open();
    }
    
    function ListaCargoPersona($_condicion="")
    {
        $newCondicion = ($_condicion=="") ? "where estado='activo'" : $_condicion." and estado='activo'";
        $sql = "Select * from cargopersona $newCondicion";
        $res = $this->Execute($sql);
        $listaP = array();
        
        if($this->ContainsData($res))
        {
            $data = $this->DataListStructure($res);
            
            foreach($data as $item)
            {
                $osPais = new Structure_CargoPersona;
                
                $osPais->IdCargo->SetValue($item["IdCargo"]);
                $osPais->IdPersona->SetValue($item["IdPersona"]);
                $osPais->estado->SetValue($item["estado"]);
                
                $listaP[] = $osPais;
            }
            
        }
        return $listaP;
    }
    
    function ListaCargoPersonanull($_condicion="")
    {
       // $newCondicion = ($_condicion=="") ? "where estado='activo'" : $_condicion." and estado='activo'";
        $sql = "SELECT p.Nombre as Nombre , c.Nombre as Cargo from persona p left join cargopersona cp on p.IdPersona=cp.IdPersona 
        left join cargo c on c.IdCargo=cp.IdCargo  ";
        $res = $this->Execute($sql);
        $listaP = array();
        
        if($this->ContainsData($res))
        {
            $data = $this->DataListStructure($res);
            
            foreach($data as $item)
            {
                
                
                $listaP[] =$item;
           
                
                
            }
            
        }
        return $listaP;
    }
    
    function obtnercargo($id)
    {
        
        $sql = "Select IdCargo
                from cargopersona where IdPersona = $id ";
        $res = $this->Execute($sql);
        
        $lista = -1;
        if ($this->ContainsData($res))
        {
            $datos = $this->DataListStructure($res);
                        
            foreach($datos as $usuario)
            {
                $lista    = $usuario["IdCargo"];
            }
        }
        
        return $lista;
    }
    
    function GuardarCargoPersona($_osPais)
    {
        $sql = "Insert into cargopersona values(
                ".$_osPais->IdCargo->getValue().",
                '".$_osPais->IdPersona->getValue()."',
                '".$_osPais->Estado->getValue()."'
                )";
        $res = $this->Execute($sql);
        
   
        return $res;
    }
    
    function ActualizarPais($_osPais)
    {
        $sql = "Update pais set 
                nombrePais = '".$_osPais->nombrePais->GetValue()."'
                where idPais = ".$_osPais->idPais->getValue();
        $res = $this->Execute($sql);
        return $sql;   
    }
    
    
    function EliminarPais($_hash)
    {
        $sql = "Update pais set estadoPais='Inactivo' where hash= '".$_hash."' ";
        $res = $this->Execute($sql);
        return $res;
    }
    
     function obtneridcargo($idpersona)
    {
        
        $sql = "SELECT * FROM cargopersona WHERE IdPersona= $idpersona ";
        $res = $this->Execute($sql);
        
        $lista = -1;
        if ($this->ContainsData($res))
        {
            $datos = $this->DataListStructure($res);
                        
            foreach($datos as $usuario)
            {
                $lista    = $usuario["IdCargo"];
            }
        }
        
        return $lista;
    }
    
     function ActualizarCargoPersona($_osPais)
    {
        $sql = "Update cargopersona set 
                Estado = '".$_osPais->Estado->GetValue()."',
                IdCargo = '".$_osPais->IdCargo->GetValue()."'
                where IdPersona = ".$_osPais->IdPersona->getValue();
        $res = $this->Execute($sql);
        return $sql;   
    }
    
}



?>