<?php

/**
 * @author joker
 * @copyright 2018
 */

require_once("data/db.inc");
require_once("data/EncargadoMinisterio.inc");

class EncargadoMinisterio extends DataBase
{
    function __construct()
    {
        $this->Open();
    }
    
    function Lista($_condicion="")
    {
        $newCondicion = ($_condicion=="") ? "" : $_condicion;
        $sql = "Select * from encargadoministerio $newCondicion";
        $res = $this->Execute($sql);
        $listaP = array();
        
        if($this->ContainsData($res))
        {
            $data = $this->DataListStructure($res);
            
            foreach($data as $item)
            {
                $osPais = new Structure_EncargadoMinisterio;
                
                $osPais->IdEncargadoMinisterio->SetValue($item["IdEncargadoMinisterio"]);
                $osPais->IdPersona->SetValue($item["IdPersona"]);
                $osPais->IdMinisterio->SetValue($item["IdMinisterio"]);
                $osPais->FechaIngreso->SetValue($item["FechaIngreso"]);
                $osPais->Gestion->SetValue($item["Gestion"]);
                $osPais->Estado->SetValue($item["Estado"]);
                
                $listaP[] = $osPais;
            }
            
        }
        return $listaP;
    }
    
    
    function ListaCargoPermiso2($_condicion="")
    {
        //$newCondicion = ($_condicion=="") ? "where estado='activo'" : $_condicion." and estado='activo'";
        $sql = "select c.Nombre, p.Nombre, cp.Estado from cargo c inner join cargopermiso cp on c.IdCargo= cp.IdCargo 
        inner join permiso p on p.IdPermiso= cp.IdPermiso   ";
        $res = $this->Execute($sql);
        $listaP = array();
        
        if($this->ContainsData($res))
        {
            $data = $this->DataListStructure($res);
            
            foreach($data as $item)
            {
                $osPais = new Structure_CargoPermiso;
                
                $osPais->IdCargo->SetValue($item["IdCargo"]);
                $osPais->IdPermiso->SetValue($item["IdPermiso"]);
                $osPais->Estado->SetValue($item["Estado"]);
                
                $listaP[] = $osPais;
            }
            
        }
        return $listaP;
    }
    
     function menucargopara($IdCargo)
    {
        //$newCondicion = ($_condicion=="") ? "" : $_condicion;
        $sql = "SELECT IdMenu, Estado FROM menucargo where IdCargo= $IdCargo ";
        $res = $this->Execute($sql);
        
        $listaP2 = array();
        
        while ($file = mysql_fetch_array($res)){
        
        $nombre = $file['IdMenu'];
        $link = $file['Estado'];
        $listaP2[] = array("menu" => $nombre, "es" => $link);
            }
        return $listaP2;
    }
    
    
        function ListaCargoMenuestruc($IdCargo)
    {
        
        $sql = "SELECT * FROM menucargo where IdCargo= $IdCargo ";
        $res = $this->Execute($sql);
        $listaP = array();
        
        if($this->ContainsData($res))
        {
            $data = $this->DataListStructure($res);
            
            foreach($data as $item)
            {
                $osPais = new Structure_CargoMenu;
                
                $osPais->IdMenu->SetValue($item["IdMenu"]);
                $osPais->IdCargo->SetValue($item["IdCargo"]);
                $osPais->Estado->SetValue($item["Estado"]);
                
                $listaP[] = $osPais;
            }
            
        }
        return $listaP;
    }
    
         function listaencargado($idministerio , $gestion)
    {
        //$newCondicion = ($_condicion=="") ? "" : $_condicion;
        $sql = "SELECT em.IdEncargadoMinisterio as idem ,p.Nombre as nombre, p.ApellidoPaterno as apellidop, 
        p.ApellidoMaterno as apellidom FROM persona p join encargadoministerio em on p.IdPersona = em.IdPersona 
        join ministerio m on em.IdMinisterio = $idministerio and em.Gestion = $gestion and em.Estado = 1 group by em.idEncargadoMinisterio  ";
        $res = $this->Execute($sql);
        
        $listaP = array();
        
        while ($file = mysqli_fetch_array($res)){
        
        $us = $file['idem'];
        $pe = $file['nombre'];
        $n = $file['apellidop'];
        $ap = $file['apellidom'];
        $listaP[] = array("idem" => $us, "nombre" => $pe, "app" => $n, "apm" => $ap );
            }
        return $listaP;
    }
    
    function Guardar($_osPais)
    {
        $sql = "Insert into encargadoministerio values(
                ".$_osPais->IdEncargadoMinisterio->getValue().",
                '".$_osPais->IdPersona->getValue()."',
                '".$_osPais->IdMinisterio->getValue()."',
                '".$_osPais->FechaIngreso->getValue()."',
                '".$_osPais->Gestion->getValue()."',
                '".$_osPais->Estado->getValue()."'
                )";
        $res = $this->Execute($sql);
        
        return $res;
    }
    
    function ActualizarCargoMenu($_osPais)
    {
        $sql = "Update menucargo set 
                Estado = '".$_osPais->Estado->GetValue()."'
                where IdCargo = ".$_osPais->IdCargo->getValue()."
                and IdMenu = ".$_osPais->IdMenu->getValue();
        $res = $this->Execute($sql);
        return $sql;   
    }
    
    
    function Eliminar($_hash)
    {
        $sql = "Update encargadoministerio set Estado = 0 where IdEncargadoMinisterio = '".$_hash."' ";
        $res = $this->Execute($sql);
        return $res;
    }
    
}



?>