<?php

/**
 * @author joker
 * @copyright 2018
 */

require_once("data/db.inc");
require_once("data/PersonaEscuela.inc");

class PersonaEscuela extends DataBase
{
    function __construct()
    {
        $this->Open();
    }
    
    function ListaPersonaEscuela($_condicion="")
    {
        $newCondicion = ($_condicion=="") ? "" : $_condicion;
        $sql = "Select * from personaescuela $newCondicion";
        $res = $this->Execute($sql);
        $listaP = array();
        
        if($this->ContainsData($res))
        {
            $data = $this->DataListStructure($res);
            
            foreach($data as $item)
            {
                $osPais = new Structure_PersonaEscuela;
                
                $osPais->IdPersona->SetValue($item["IdPersona"]);
                $osPais->IdEscuela->SetValue($item["IdEscuela"]);
                 $osPais->Macrocelula->SetValue($item["Macrocelula"]);
                  $osPais->Celula->SetValue($item["Celula"]);
                $osPais->Estado->SetValue($item["Estado"]);
                
                $listaP[] = $osPais;
            }
            
        }
        return $listaP;
    }
    
    
    function ListaCargoPermiso2($_condicion="")
    {
        //$newCondicion = ($_condicion=="") ? "where estado='activo'" : $_condicion." and estado='activo'";
        $sql = "select c.Nombre, p.Nombre, cp.Estado from cargo c inner join cargopermiso cp on c.IdCargo= cp.IdCargo 
        inner join permiso p on p.IdPermiso= cp.IdPermiso   ";
        $res = $this->Execute($sql);
        $listaP = array();
        
        if($this->ContainsData($res))
        {
            $data = $this->DataListStructure($res);
            
            foreach($data as $item)
            {
                $osPais = new Structure_CargoPermiso;
                
                $osPais->IdCargo->SetValue($item["IdCargo"]);
                $osPais->IdPermiso->SetValue($item["IdPermiso"]);
                $osPais->Estado->SetValue($item["Estado"]);
                
                $listaP[] = $osPais;
            }
            
        }
        return $listaP;
    }
    

        function ListaCp($idcargo)
    {
        //$newCondicion = ($_condicion=="") ? "" : $_condicion;
        $sql = "Select * from cargopermiso where IdCargo = $idcargo";
        $res = $this->Execute($sql);
        $listaP = array();
        
        if($this->ContainsData($res))
        {
            $data = $this->DataListStructure($res);
            
            foreach($data as $item)
            {
                $osPais = new Structure_CargoPermiso;
                
                $osPais->IdCargo->SetValue($item["IdCargo"]);
                $osPais->IdPermiso->SetValue($item["IdPermiso"]);
                $osPais->Estado->SetValue($item["Estado"]);
                
                $listaP[] = $osPais;
            }
            
        }
        return $listaP;
    }
    
         function listaperesc($IdCargo)
    {
        //$newCondicion = ($_condicion=="") ? "" : $_condicion;
        $sql = "select p.IdPersona, p.Nombre, p.ApellidoPaterno, p.ApellidoMaterno, pr.Macrocelula , pr.Celula from persona p join personaescuela pr on p.IdPersona = pr.IdPersona join escuela r on r.IdEscuela = pr.IdEscuela where r.IdEscuela=$IdCargo ";
        $res = $this->Execute($sql);
        
        $listaP2 = array();
        
        while ($file = mysqli_fetch_array($res)){
        $id= $file['IdPersona'];
        $nombre = $file['Nombre'];
        $apellidopaterno = $file['ApellidoPaterno'];
        $apellidomaterno = $file['ApellidoMaterno'];
        $macrocelula = $file['Macrocelula'];
        $celula = $file['Celula'];
        $listaP2[] = array("idp" => $id, "nombre" => $nombre, "apellidopaterno" => $apellidopaterno,"apellidomaterno" => $apellidomaterno, "macrocelula" => $macrocelula, "celula" => $celula );
            }
        return $listaP2;
    }
    
    
    function Guardar($_osCargopermiso)
    {
        $sql = "Insert into personaescuela values(
                ".$_osCargopermiso->IdPersona->getValue().",
                '".$_osCargopermiso->IdEscuela->getValue()."',
                '".$_osCargopermiso->Macrocelula->getValue()."',
                '".$_osCargopermiso->Celula->getValue()."',
                '".$_osCargopermiso->Estado->getValue()."'
                )";
        $res = $this->Execute($sql);
        
        return $res;
    }
    
    function ActualizarCargoPermiso($_osPais)
    {
        $sql = "Update cargopermiso set 
                Estado = '".$_osPais->Estado->GetValue()."'
                where IdCargo = ".$_osPais->IdCargo->getValue()."
                and IdPermiso = ".$_osPais->IdPermiso->getValue();
        $res = $this->Execute($sql);
        return $sql;   
    }
    
      
    
    
    function EliminarPais($_hash)
    {
        $sql = "Update pais set estadoPais='Inactivo' where hash= '".$_hash."' ";
        $res = $this->Execute($sql);
        return $res;
    }
    
     function EliminarPersonaesc($idper, $idret)
    {
        $sql = "Delete from personaescuela where IdPersona= '".$idper."' and IdEscuela= '".$idret."' ";
        $res = $this->Execute($sql);
        return $res;
    }
    
     function verificarest($_condicion="")
    {
        
        // $sql2 =($_condicion=="")? "where estado='activo'":$_condicion."and estado='activo'";
         $sql2 =($_condicion=="")? "":$_condicion."";
        $sql = "Select *from personaescuela $sql2";
        $res = $this->Execute($sql);
        //$sql2 =($_condicion=="")? "where estado='Activo'":$_condicion."and estado='Activo'";
       
       // $res = $this->Execute($sql);
        
        $sw = $this->ContainsData($res);
        

        
        return $sw;
        
    }
    
}



?>