<?php

/**
 * @author joker
 * @copyright 2018
 */

require_once("data/db.inc");
require_once("data/UbicacionC.inc");

class Ubicacion extends DataBase
{
    function __construct()
    {
        $this->Open();
    }
    
    function Lista($_condicion="")
    {
        $newCondicion = ($_condicion=="") ? "" : $_condicion."";
        $sql = "Select * from ubicacionc $newCondicion";
        $res = $this->Execute($sql);
        $listaP = array();
        
        if($this->ContainsData($res))
        {
            $data = $this->DataListStructure($res);
            
            foreach($data as $item)
            {
                $osPais = new Structure_UbicacionC;
                
                $osPais->IdUbicacion->SetValue($item["IdUbicacion"]);
                $osPais->Latitud->SetValue($item["Latitud"]);
                $osPais->Longitud->SetValue($item["Longitud"]);
                $osPais->Nombre->SetValue($item["Nombre"]);
                $osPais->Informacion->SetValue($item["Informacion"]);
                $osPais->Celula->SetValue($item["Celula"]);
                
                $listaP[] = $osPais;
            }
            
        }
        return $listaP;
    }
    
    
     function listaubicacion($_condicion="")
    {
        //$newCondicion = ($_condicion=="") ? "" : $_condicion;
        $sql = "Select *from ubicacionc ";
        $res = $this->Execute($sql);
        
        $listaP = array();
        
        while ($file = mysql_fetch_array($res)){
        
        $id = $file['IdUbicacion'];
        $lat = $file['Latitud'];
        $lon = $file['Longitud'];
        $nom = $file['Nombre'];
        $inf = $file['Informacion'];
        $listaP[] = array("id" => $id, "latitud" => $lat, "longitud" => $lon, "nombre" => $nom, "informacion" => $inf );
            }
        return $listaP;
    }
    
    
    function listaubicacion2($_condicion="")
    {
        //$newCondicion = ($_condicion=="") ? "" : $_condicion;
        $sql = "Select *from ubicacionc ";
        $res = $this->Execute($sql);
        

        return $res;
    }
    
    function ListaCargored($_condicion="")
    {
        $newCondicion = ($_condicion=="") ? "" : $_condicion."";
        $sql = "Select * from cargo $newCondicion";
        $res = $this->Execute($sql);
        $listaP = array();
        
        if($this->ContainsData($res))
        {
            $data = $this->DataListStructure($res);
            
            foreach($data as $item)
            {
                $osPais = new Structure_Cargo;
                
                $osPais->IdCargo->SetValue($item["IdCargo"]);
                $osPais->Hash->SetValue($item["Hash"]);
                $osPais->Nombre->SetValue($item["Nombre"]);
                $osPais->Descripcion->SetValue($item["Descripcion"]);
                $osPais->estado->SetValue($item["estado"]);
                
                $listaP[] = $osPais;
            }
            
        }
        return $listaP;
    }
    
    
    
    function obtnerid($_oSt_Usuario)
    {
       $hash = $_oSt_Usuario->Hash->Valor;
        $sql = "Select IdCargo
                from cargo where Hash = '$hash' ";
        $res = $this->Execute($sql);
        
        $lista = -1;
        if ($this->ContainsData($res))
        {
            $datos = $this->DataListStructure($res);
                        
            foreach($datos as $usuario)
            {
                $lista    = $usuario["IdCargo"];
            }
        }
        
        return $lista;
    }
    
     function obtnernombre($idcargo)
    {
       //$hash = $_oSt_Usuario->Hash->Valor;
        $sql = "select Nombre from cargo where IdCargo= $idcargo ";
        $res = $this->Execute($sql);
        
        $lista = -1;
        if ($this->ContainsData($res))
        {
            $datos = $this->DataListStructure($res);
                        
            foreach($datos as $usuario)
            {
                $lista    = $usuario["Nombre"];
            }
        }
        
        return $lista;
    }
    
  
    function Guardar($_osPais)
    {
        $sql = "Insert into ubicacionc values(
                ".$_osPais->IdUbicacion->getValue().",
                '".$_osPais->Hash->getValue()."',
                '".$_osPais->Latitud->getValue()."',
                '".$_osPais->Longitud->getValue()."',
                '".$_osPais->Nombre->getValue()."',
                '".$_osPais->Informacion->getValue()."',
                '".$_osPais->Celula->getValue()."'
                )";
        $res = $this->Execute($sql);
        
        if($res)
        {
            $uid = mysql_insert_id();
            $hash = sha1($uid);
            $sql2 = "Update ubicacionc set Hash = '$hash' where IdUbicacion = ".$uid;
            $res2 = $this->Execute($sql2);          
        }
        return $res;
    }
    
    function Actualizar($_osPais)
    {
        $sql = "Update ubicacionc set 
                Nombre = '".$_osPais->Nombre->GetValue()."',
                Informacion = '".$_osPais->Informacion->GetValue()."',
                Latitud = '".$_osPais->Latitud->GetValue()."',
                Longitud = '".$_osPais->Longitud->GetValue()."'
                where IdUbicacion = ".$_osPais->IdUbicacion->getValue()."";
        $res = $this->Execute($sql);
        return $sql;   
    }
    
    
    function Eliminar($idu)
    {
        $sql = "Delete from ubicacionc where IdUbicacion = '".$idu."'";
        $res = $this->Execute($sql);
        return $res;
    }
    
    
        function obtnerultimo()
    {
       
        $sql = "select max(IdCargo) as idcargo from cargo";
        $res = $this->Execute($sql);
        
        $lista = -1;
        if ($this->ContainsData($res))
        {
            $datos = $this->DataListStructure($res);
                        
            foreach($datos as $usuario)
            {
                $lista    = $usuario["idcargo"];
            }
        }
        
        return $lista;
    }
    
}



?>