<?php

/**
 * @author Miguel Angel Ruiz Vargas
 * @copyright 2017
 */

require_once("data/db.inc");
require_once("data/ciudad.inc");

class Ciudad extends DataBase
{
    function __construct()
    {
        $this->Open();
    }
    
    function ListaCiudad($_condition="")
    {
        $newCondition = ($_condition == "") ? " where estadoCiudad = 'Activo'" : $_condition . " and estadoCiudad = 'Activo'";
        $sql = "Select * from ciudad " . $newCondition;
        $res = $this->Execute($sql);
        
        $lista = array();
        if ($this->ContainsData($res)){
            $data = $this->DataListStructure($res);
            foreach ($data as $item){
                $os_Ciudad = new Structure_Ciudad;
                
                $os_Ciudad->idCiudad->SetValue($item["idCiudad"]);
                $os_Ciudad->hash->SetValue($item["hash"]);
                $os_Ciudad->nombreCiudad->SetValue($item["nombreCiudad"]);
                $os_Ciudad->estadoCiudad->SetValue($item["estadoCiudad"]);
                
                $lista[] = $os_Ciudad;
            }
        }
        return $lista;
    }
    
     function GuardarCiudad($_osCiudad)
    {
        $sql = "Insert into ciudad values(
                ".$_osCiudad->idCiudad->getValue().",
                '".$_osCiudad->hash->getValue()."',
                '".$_osCiudad->nombreCiudad->getValue()."',
                '".$_osCiudad->estadoCiudad->getValue()."'
                )";
        $res = $this->Execute($sql);
        
        if($res)
        {
            $uid = mysql_insert_id();
            $hash = sha1($uid);
            $sql2 = "Update ciudad set hash = '$hash' where idCiudad = ".$uid;
            $res2 = $this->Execute($sql2);          
        }
        return $res;
    }
    
    function ActualizarCiudad($_osCiudad)
    {
        $sql = "Update ciudad set 
                nombreciudad = '".$_osCiudad->nombreCiudad->GetValue()."'
                where idCiudad = ".$_osCiudad->idCiudad->getValue();
        $res = $this->Execute($sql);
        return $sql;   
    }
    
    
    function EliminarCiudad($_hash)
    {
        $sql = "Update ciudad set estadoCiudad='Inactivo' where hash= '".$_hash."' ";
        $res = $this->Execute($sql);
        return $res;
    }
    
}
?>