<?php

/**
 * @author Miguel Macias
 * @copyright 2017
 */

require_once("data/db.inc");
require_once("data/config.inc");
require_once("data/usuarioexterno.inc");

class usuarioexterno extends DataBase
{
    function __construct()
    {
        $this->Open();
    }
    
    function Lista($_condicion = "")
    {        
      $newCondition = ( $_condicion == "" ) ? " where estadoE = 'Activo'" : $_condicion . " and estadoE = 'Activo'";
        $sql = "Select * from usuarioexterno $newCondition";
        $res = $this->Execute($sql);
        
        $lista = array();
        
        if ($this->ContainsData($res)){
             
             $data = $this->DataListStructure($res);
             
             foreach($data as $item){
                $ouexterno = new Structure_Usuarioexterno;
                
                $ouexterno->idUsuarioE->SetValue($item["idUsuarioE"]);
                $ouexterno->hashE->SetValue($item["hashE"]);
                $ouexterno->usuarioE->SetValue($item["usuarioE"]);
                $ouexterno->contraE->SetValue($item["contraE"]);
                $ouexterno->hora->SetValue($item["hora"]);
                $ouexterno->fecha->SetValue($item["fecha"]);
                $ouexterno->estadoE->SetValue($item["estadoE"]);
                $ouexterno->idPoliciaE->SetValue($item["idPoliciaE"]);               
                $lista[] = $ouexterno;
             }
        }
        
        return $lista;
    }
    
     function Listauser()
    {        
      
        $sql = "Select idUsuarioE, hashE , AES_DECRYPT(usuarioE,'".SecureKey."') as 'user2' from usuarioexterno where estadoE = 'Activo'";
        $res = $this->Execute($sql);
        
        $lista = array();
        
        if ($this->ContainsData($res)){
             
             $data = $this->DataListStructure($res);
             
             foreach($data as $item){
                $ouexterno = new Structure_Usuarioexterno;
                $ouexterno->idUsuarioE->SetValue($item["idUsuarioE"]);
                $ouexterno->hashE->SetValue($item["hashE"]);
                $ouexterno->usuarioE->SetValue($item["user2"]);
                          
                $lista[] = $ouexterno;
             }
        }
        
        return $lista;
    }
    
     function Listausercondicional($_condicion = "")
    {        
        $newCondition = ( $_condicion == "" ) ? " where estadoE = 'Activo'" : $_condicion . " and estadoE = 'Activo'";
        $sql = "Select idUsuarioE, AES_DECRYPT(usuarioE,'".SecureKey."') as 'user2' from usuarioexterno $newCondition";
        $res = $this->Execute($sql);
        
        $lista = array();
        
        if ($this->ContainsData($res)){
             
             $data = $this->DataListStructure($res);
             
             foreach($data as $item){
                $ouexterno = new Structure_Usuarioexterno;
                 $ouexterno->idUsuarioE->SetValue($item["idUsuarioE"]);
                $ouexterno->usuarioE->SetValue($item["user2"]);
                          
                $lista[] = $ouexterno;
             }
        }
        
        return $lista;
    }
    
    function Guardar($_osusuarioe){
        $sql = "Insert into usuarioexterno values(
                    ". $_osusuarioe->idUsuarioE->GetValue() .",
                    '". $_osusuarioe->hashE->GetValue() ."',
                    AES_ENCRYPT('". $_osusuarioe->usuarioE->GetValue() ."','".SecureKey."'),
                    AES_ENCRYPT('". $_osusuarioe->contraE->GetValue() ."','".SecureKey."'),
                    '". $_osusuarioe->hora->GetValue() ."',
                    '". $_osusuarioe->fecha->GetValue() ."',
                    '". $_osusuarioe->estadoE->GetValue() ."',
                    '". $_osusuarioe->idPoliciaE->GetValue() ."'
                )";
        $res = $this->Execute($sql);
        if ($res){
            $uid = mysql_insert_id();
            $hash = sha1($uid);
            $sql2 = "Update usuarioexterno set hashE = '$hash' where idUsuarioE = " . $uid;
            $res2 = $this->Execute($sql2);
        }
        return $res;
    }
    
    function MOdificar($_policiaex){
        $sql = "Update usuarioexterno set contraE = AES_ENCRYPT('".$_policiaex->contraE->GetValue()."','".SecureKey."')
                    where idUsuarioE = '".$_policiaex->idUsuarioE->GetValue()."' ";
        $res = $this->Execute($sql);
        return $res;
        
        
    }
    
     function Eliminar($_policiaex){
        $sql = "Update usuarioexterno set estadoE = '".$_policiaex->estadoE->GetValue()."'
                    where idUsuarioE = '".$_policiaex->idUsuarioE->GetValue()."' ";
        $res = $this->Execute($sql);
        return $res;
        
        
    }
      
    function ValidarCredencial($_user, $_pass){
        $sql = "Select hashE
                from usuarioexterno where usuarioE = AES_ENCRYPT('$_user','".SecureKey."')
                and contraE = AES_ENCRYPT('$_pass','".SecureKey."') ";
        $res = $this->Execute($sql);
        
        if($res){
            return true;
        }
        else{
            return false;
        }
        
        
    }

}

?>