<?php

/**
 * @author Miguel Angel Ruiz Vargas
 * @copyright 2017
 */

require_once("view/pagina.cls");
$oPage = new Page;

$content = "
<input type='button' value='Adicionar' onclick='AddCiudad()'>
<table align='center'>
<tr class='tbl-header'>
    <td class='pl-10 pr-10'>Item</td>
    <td width='400' class='pl-10 pr-10'>Nombre</td>
    <td width='200' class='pl-10 pr-10'>Acciones</td>
</tr>";

$con = 0;
$sw = true;
foreach($listaCiudad as $item)
{
    $con++;
    $ciudad = $item->nombreCiudad->GetValue();
    
            $hash = $item->hash->GetValue();
            $hashInv = strrev($hash);           
            $total = strlen($hashInv);
            $group = 4;
            $p = 0;
            $newhash = "";
            for($i=0; $i<$total; $i++){
             
                if ($p == $group){
                    $newhash .= "-";
                    $p = 0;
                }
                
                $c = substr($hashInv, $i, 1);
                $newhash .= $c;
                
                $p++;
            }
    
    if ($sw){
        $class = "tbl-row-1";
        $sw = false;
    }else{
        $class = "tbl-row-2";
        $sw = true;
    }
    
    $content .= "<tr class='$class'>
        <td class='pl-10 pr-10'>". $con ."</td>
        <td class='pl-10 pr-10'>". $ciudad ."</td>
        <td align='center'>
            <div class='ctl-btn-edit' data-hash='". $newhash ."' onclick='EditCiudad(this)'>Editar</div>
            <div class='ctl-btn-delete' data-hash='".$newhash ."' onclick='DeleteCiudad(this)'>Eliminar</div>
            
        </td>
    </tr>";
}
$content .= "</table>";

$oPage->SetTitle("Lista de Ciudades");
$oPage->SetCss(array("main", "controls"));
$oPage->SetJs(array("jquery-2.0.3.min", "core"));
$oPage->SetMenu("Ciudad");
$oPage->SetContent($content);
$oPage->Show();

?>